if(info.SYSTEM_ID == "UCP100" || info.SYSTEM_ID == "UCP600") {
	var v_voiu = {key: "pgm100_voiu", title: langs.getText("p100","voiu"), tr:[{label: langs.getText("p100","voiu")}, {name:"VOIU", value:"", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]};
}
else {
	var v_voiu = {};
}

if(info.SYSTEM_ID == "UCP100") {
	var v_sliu = {key: "pgm100_sliu", title: langs.getText("p100","sliu"), tr:[{label: langs.getText("p100","sliu")}, {name:"SLIU", value:"", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]};	
} else {
	var v_sliu = {};
}

if(info.PHASE >= 3) {
	var v_ucslictype = {key: "pgm100_ucsuserlic", title: langs.getText("p100","ucsuserlic"), tr:[{label: langs.getText("p100","ucsuserlic")}, {name:"UCSUSERLIC", value:"", select: [{value: "0", option: langs.getText("common","device")}, {value: "1", option: langs.getText("common","user")}], message: "", cont: 0}, {label: ""}]};
} else {
	var v_ucslictype = {};
}

if(info.PHASE >= 5 && info.SYSTEM_ID == "vUCP") {
	var v_bltvvoim = {key: "pgm100_bltvvoim", title: langs.getText("p100","bltvvoim"), tr:[{label: langs.getText("p100","bltvvoim")}, {name:"BLTVVOIM", value:"", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]};
	var v_bltvuvm = {key: "pgm100_bltvuvm", title: langs.getText("p100","bltvuvm"), tr:[{label: langs.getText("p100","bltvuvm")}, {name:"BLTVUVM", value:"", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]};
}
else {
	var v_bltvvoim = {};
	var v_bltvuvm = {};
}

if(info.SYSTEM_ID == "iPECS eMG800") {
	var v_vmiu = {key: "pgm100_flex_vmiu", title: langs.getText("p100","flex_vmiu"), tr:[{label: langs.getText("p100","flex_vmiu")}, {name:"FLEX_VMIU", value:"", select: [{value: "0", option: "VMIU 8 / VOIU 0"},{value: "2", option: "VMIU 8 / VOIU 2"},{value: "4", option: "VMIU 8 / VOIU 4"}, {value: "8", option: "VMIU 4 / VOIU 8"}], message: "", cont: 0}, {label: ""}]};
} else if(info.SYSTEM_ID == "iPECS eMG80" ) {
	var v_vmiu = {key: "pgm100_flex_vmiu", title: langs.getText("p100","flex_vmiu"), tr:[{label: langs.getText("p100","flex_vmiu80")}, {name:"FLEX_VMIU", value:"", select: [{value: "0", option: "VMIU 8 / VOIU 0"},{value: "2", option: "VMIU 8 / VOIU 2"},{value: "4", option: "VMIU 8 / VOIU 4"}, {value: "6", option: "VMIU 6 / VOIU 6"}, {value: "8", option: "VMIU 4 / VOIU 8"}], message: "", cont: 0}, {label: ""}]};
} else if(info.SYSTEM_ID == "iPECS eMG100") {
	var v_vmiu = {key: "pgm100_flex_vmiu", title: langs.getText("p100","flex_vmiu"), tr:[{label: langs.getText("p100","flex_vmiu80")}, {name:"FLEX_VMIU", value:"", select: [{value: "0", option: "VMIU 8 / VOIU 0"},{value: "2", option: "VMIU 8 / VOIU 2"},{value: "4", option: "VMIU 8 / VOIU 4"}, {value: "6", option: "VMIU 6 / VOIU 6"}, {value: "8", option: "VMIU 4 / VOIU 8"}, {value: "10", option: "VMIU 6 / VOIU 8"}, {value: "11", option: "VMIU 8 / VOIU 8"}, {value: "12", option: "VMIU 6 / VOIU 10"}, {value: "13", option: "VMIU 4 / VOIU 12"}, {value: "14", option: "VMIU 2 / VOIU 14"}, {value: "15", option: "VMIU 0 / VOIU 16"}, {value: "16", option: "VMIU 10 / VOIU 6"}, {value: "17", option: "VMIU 12 / VOIU 4"}, {value: "18", option: "VMIU 14 / VOIU 2"}, {value: "19", option: "VMIU 16 / VOIU 0"}], message: "", cont: 0}, {label: ""}]};	
} else {
	var v_vmiu = {};
}

if((info.SYSTEM_ID == "iPECS eMG80") && info.PHASE >= 2) {
	var v_vmib = {key: "pgm100_flex_vmib", title: langs.getText("p100","flex_vmib"), tr:[{label: langs.getText("p100","flex_vmib")}, {name:"FLEX_VMIB", value:"", select: [{value: "4", option: "VMIB 8 / VOIB 4"}, {value: "6", option: "VMIB 6 / VOIB 6"}, {value: "8", option: "VMIB 4 / VOIB 8"}], message: "", cont: 0}, {label: ""}]};
} else {
	var v_vmib = {};
}

if (info.SYSTEM_ID == "UCP100" || info.SYSTEM_ID == "iPECS eMG80" || info.SYSTEM_ID == "iPECS eMG100" || info.SYSTEM_ID == "iPECS eMG800" || offline_mode) {
	var v_swov = {};
} else {
	var v_swov = {btn: langs.getText("common","btn_chactstb"), btn_type: "btn_p450_chactstb auth_write"};
}

var s_detail = {key: "pgm100_sitedetail", title: langs.getText("common","sitedetail"), tr:[{label: langs.getText("common","sitedetail")}, {name:"SITEDETAIL", value: "", textarea: [{row: 10, cols: 50}], message: "", enable_mullang: 1}, {label: langs.getText("common","max") + " 100" + langs.getText("common","cmt_byte")}]};

if(info.PHASE >= 2.1) {
	if(info.SYSTEM_ID == "iPECS eMG80" || info.SYSTEM_ID == "iPECS eMG100") {
		var v_spdplan = {key: "pgm100_spdnmpl", title: langs.getText("common","spdnmpl"), tr:[{label: langs.getText("common","spdnmpl")}, {name:"SPDNMPL", value:"", select:[{value: "0", option: "Type(0): SYS(2000-4999), STA(000-099)"},
		{value: "1", option: "Type(1): SYS(200-999),   STA(000-099)"},
		{value: "2", option: "Type(2): SYS(200-999),   STA(00-19)"},
		{value: "3", option: "Type(3): SYS(20-99),   STA(00-19)"},
		{value: "4", option: "Type(4): SYS(1000-3999),     STA(000-099)"},
		{value: "5", option: "Type(5): SYS(100-999),     STA(000-099)"},
		{value: "6", option: "Type(6): SYS(100-999),     STA(00-09)"},
		{value: "7", option: "Type(7): SYS(10-99),     STA(00-09)"},
		{value: "8", option: "Type(8): SYS(1-9),     STA(0-0)"}], message: "", cont: 0}, {label: ""}]};
	} else if (info.SYSTEM_ID == "iPECS eMG800") {
		var v_spdplan = {key: "pgm100_spdnmpl", title: langs.getText("common","spdnmpl"), tr:[{label: langs.getText("common","spdnmpl")}, {name:"SPDNMPL", value:"", select:[{value: "0", option: "Type(0): SYS(2000-9999), STA(000-099)"},
		{value: "1", option: "Type(1): SYS(200-999),   STA(000-099)"},
		{value: "2", option: "Type(2): SYS(200-999),   STA(00-19)"},
		{value: "3", option: "Type(3): SYS(20-99),   STA(00-19)"},
		{value: "4", option: "Type(4): SYS(1000-8999),     STA(000-099)"},
		{value: "5", option: "Type(5): SYS(100-999),     STA(000-099)"},
		{value: "6", option: "Type(6): SYS(100-999),     STA(00-09)"},
		{value: "7", option: "Type(7): SYS(10-99),     STA(00-09)"},
		{value: "8", option: "Type(8): SYS(1-9),     STA(0-0)"}], message: "", cont: 0}, {label: ""}]};
	} else {
		var v_spdplan = {key: "pgm100_spdnmpl", title: langs.getText("common","spdnmpl"), tr:[{label: langs.getText("common","spdnmpl")}, {name:"SPDNMPL", value:"", select:[{value: "0", option: "Type(0): SYS(20000-31999), STA(000-099)"},
		{value: "1", option: "Type(1): SYS(2000-9999),   STA(000-099)"},
		{value: "2", option: "Type(2): SYS(200-999),   STA(000-099)"},
		{value: "3", option: "Type(3): SYS(200-999),   STA(00-19)"},
		{value: "4", option: "Type(4): SYS(20-99),   STA(00-19)"},
		{value: "5", option: "Type(5): SYS(1000-9999),     STA(000-099)"},
		{value: "6", option: "Type(6): SYS(100-999),     STA(000-099)"},
		{value: "7", option: "Type(7): SYS(100-999),     STA(00-09)"},
		{value: "8", option: "Type(8): SYS(10-99),     STA(00-09)"},
		{value: "9", option: "Type(9): SYS(1-9),     STA(0-0)"}], message: "", cont: 0}, {label: ""}]};
	}
} else {
	if(info.SYSTEM_ID == "iPECS eMG80" || info.SYSTEM_ID == "iPECS eMG100") {
		var v_spdplan = {key: "pgm100_spdnmpl", title: langs.getText("common","spdnmpl"), tr:[{label: langs.getText("common","spdnmpl")}, {name:"SPDNMPL", value:"", select:[{value: "0", option: "Type(0): SYS(2000-4999), STA(000-099)"},
		{value: "1", option: "Type(1): SYS(200-999),   STA(00-19)"},
		{value: "2", option: "Type(2): SYS(20-99),   STA(00-19)"},
		{value: "3", option: "Type(3): SYS(10-99),   STA(00-09)"},
		{value: "4", option: "Type(4): SYS(1-9),     STA(0-0)"}], message: "", cont: 0}, {label: ""}]};
	} else if (info.SYSTEM_ID == "iPECS eMG800") {
		var v_spdplan = {key: "pgm100_spdnmpl", title: langs.getText("common","spdnmpl"), tr:[{label: langs.getText("common","spdnmpl")}, {name:"SPDNMPL", value:"", select:[{value: "0", option: "Type(0): SYS(2000-9999), STA(000-099)"},
		{value: "1", option: "Type(1): SYS(2000-7999),   STA(000-099)"},
		{value: "2", option: "Type(2): SYS(2000-4999),   STA(000-099)"},
		{value: "3", option: "Type(3): SYS(200-999),     STA(00-19)"},
		{value: "4", option: "Type(4): SYS(20-99),     STA(00-19)"},
		{value: "5", option: "Type(5): SYS(10-99),     STA(00-09)"},
		{value: "6", option: "Type(6): SYS(1-9),     STA(0-0)"}], message: "", cont: 0}, {label: ""}]};
	} else {
		var v_spdplan = {key: "pgm100_spdnmpl", title: langs.getText("common","spdnmpl"), tr:[{label: langs.getText("common","spdnmpl")}, {name:"SPDNMPL", value:"", select:[{value: "0", option: "Type(0): SYS(20000-31999), STA(000-099)"},
		{value: "1", option: "Type(1): SYS(2000-9999),   STA(000-099)"},
		{value: "2", option: "Type(2): SYS(2000-7999),   STA(000-099)"},
		{value: "3", option: "Type(3): SYS(2000-4999),   STA(000-099)"},
		{value: "4", option: "Type(4): SYS(200-999),     STA(00-19)"},
		{value: "5", option: "Type(5): SYS(20-99),     STA(00-19)"},
		{value: "6", option: "Type(6): SYS(10-99),     STA(00-09)"},
		{value: "7", option: "Type(7): SYS(1-9),     STA(0-0)"}], message: "", cont: 0}, {label: ""}]};
	}
}

define(
    {elements:[
        {name:"tab1", tab: [
            {key: "pgm100_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}, {btn: langs.getText("common","btn_resetsys"), btn_type: "btn_p450_reset auth_write"}, v_swov]},
            {key: "pgm100_mktbl", title: langs.getText("common","mktbl"), table: [{label: langs.getText("common","attr")}, {label: langs.getText("common","val")}, {label: langs.getText("common","range")}]},
            {key: "pgm100_ncode", title: langs.getText("common","nation_code"), tr:[{label: langs.getText("common","nation_code")}, {name:"NCODE", value:"", select:g_nation_list, message: "", cont: 0}, {label: ""}]},
            {key: "pgm100_sitename", title: langs.getText("common","sitename"), tr:[{label: langs.getText("common","sitename")}, {name:"SITENAME", value: "", textfield: [{max: 24}], message: "", enable_mullang: 1}, {label: langs.getText("common","max") + " 24" + langs.getText("common","cmt_byte")}]},
            s_detail,
            {key: "pgm100_areacode", title: langs.getText("common","my_areacode"), tr:[{label: langs.getText("common","my_areacode")}, {name:"AREACODE", value: "", textfield: [{max: 6}], message: "", cont: 0}, {label: langs.getText("common","max6digit")}]},
            {key: "pgm100_mareacd", title: langs.getText("p100","mareacd"), tr:[{label: langs.getText("p100","mareacd")}, {name:"MAREACD_1", value: "", textfield: [{max: 6}], message: "", cont: 0}, {br: 1, cont: 1},
            {name:"MAREACD_2", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_3", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_4", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_5", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_6", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_7", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_8", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_9", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_10", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_11", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_12", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_13", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_14", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_15", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_16", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_17", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_18", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_19", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_20", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_21", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_22", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_23", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_24", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_25", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_26", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_27", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_28", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_29", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_30", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_31", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_32", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_33", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_34", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_35", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_36", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_37", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_38", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_39", value: "", textfield: [{max: 6}], message: "", cont: 1}, {br: 1, cont: 1},
            {name:"MAREACD_40", value: "", textfield: [{max: 6}], message: "", cont: 1}, {label: langs.getText("common","max6digit")}]},
            {key: "pgm100_numplan", title: langs.getText("common","numplan"), tr:[{label: langs.getText("common","numplan")}, {name:"NUMPLAN", value:"", select:[{value: "0", option: "1"},
            {value: "1", option: "2"},
            {value: "2", option: "3"},
            {value: "3", option: "4"},
            {value: "4", option: "5"},
            {value: "5", option: "6"},
            {value: "6", option: "7"},
            {value: "7", option: "8"},
            {value: "8", option: "9"}], message: "", cont: 0}, {label: ""}]},
			v_voiu, v_sliu, v_vmiu, v_vmib, v_bltvvoim, v_bltvuvm, v_spdplan, v_ucslictype,
            {key: "pgm100_contents", contents:[{text: langs.getText("p100","info1")+" "+init_dip_number+" "+langs.getText("p100","info2")}, {br: 1}, {text: langs.getText("p100","info3")+" "+init_dip_number+" "+langs.getText("p100","info4")}]}
        ]}
    ]}
);
