if(info.NO_OF_SLOTS) {
    var range_guide = " (1 - "+info.NO_OF_SLOTS+")";
} else {
    var range_guide = "";
}

if(info.PHASE >= 5.0) {
        var p132_brd_ipv4addr = {key: "p132_brd_ipv4addr", title: langs.getText("common","ipaddr"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","ipaddr")}, {name:"BRD_IPADDR", value: "", textfield: [{max: 15}], message: "", cont: 0}, {label: ""}]};
        var p132_brd_ipv6addr = {key: "p132_brd_ipv6addr", title: langs.getText("common","ipv6addr"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","ipv6addr")}, {name:"BRD_IPV6ADDR", value: "", textfield: [{max: 40}], message: "", cont: 0}, {label: ""}]};
} else {
	var p132_brd_ipv4addr =	{};
	var p132_brd_ipv6addr =	{};
}

if(info.PHASE >= 4.1) {
		var p132_brd_webconn = {key: "pgm132_brd_webconn", title: langs.getText("p132","brd_webconn"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p132","brd_webconn")}, {name:"BRD_WEBCONN", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]};
		var p132_brd_telnetconn = {key: "pgm132_brd_telnetconn", title: langs.getText("p132","brd_telnetconn"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p132","brd_telnetconn")}, {name:"BRD_TELNETCONN", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]};
} else {
		var p132_brd_webconn  = {};
		var p132_brd_telnetconn  = {};
}


define(
    {elements:[
        {name:"tab1", tab: [
            {key: "pgm132_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
            {key: "pgm132_preload", preload: [{name: "RANGE_TYPE_1", range_type: 2}, {text: langs.getText("common","enter_devrange")+range_guide+" : "}, {name: "RANGE_1_1", value: "", textfield: [{max: 40, size: 50}], message: "", help: langs.re_toolTip()}, {btn: langs.getText("common","load"), btn_type: "btn_load"}, langs.Range_Error_Table(), {endload: 1}, {br: 2}, {text: langs.getText("common","dev_range")+" "}, {name: "RANGE_VIEW_1", value: "", text: 1}]},
            {key: "pgm132_mktbl", title: langs.getText("common","mktbl"), table: [{name: "CHKFLAG", value: "", check_flag: 1}, {label: langs.getText("common","order"), sort: "num"}, {btn: langs.getText("common","btn_chkall"), btn_type: "btn_checkall"}, {label: langs.getText("common","attr")}, {label: langs.getText("common","val")}, {label: langs.getText("common","range")}]},
			p132_brd_ipv4addr,
			p132_brd_ipv6addr,
            {key: "pgm132_brd_router", title: langs.getText("common","router_ipaddr"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","router_ipaddr")}, {name:"BRD_ROUTER", value:"", textfield: [{max: 15}], message: "", cont: 0}, {label: langs.getText("common","ipaddr")}]},
            {key: "pgm132_brd_codec", title: langs.getText("p132","brd_codec"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p132","brd_codec")}, {name:"BRD_CODEC", value:"", select:[{value: "0", option: "G.711"}, {value: "1", option: "G.723.1"}, {value: "2", option: "G.729"}, {value: "3", option: "G.722"}, {value: "4", option: langs.getText("common","syscodec")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm132_brd_firewall", title: langs.getText("common","firewall_addr"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","firewall_addr")}, {name:"BRD_FIREWALL", value:"", textfield: [{max: 15}], message: "", cont: 0}, {label: langs.getText("common","ipaddr")}]},
            {key: "pgm132_brd_rtpfwll", title: langs.getText("p132","brd_rtpfwll"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p132","brd_rtpfwll")}, {name:"BRD_RTPFWLL", value:"", textfield: [{max: 15}], message: "", cont: 0}, {label: langs.getText("common","ipaddr")}]},
            {key: "pgm132_brd_ipsec", title: langs.getText("p132","brd_ipsec"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p132","brd_ipsec")}, {name:"BRD_IPSEC", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm132_brd_tnet", title: langs.getText("common","tnet_enable"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","tnet_enable")}, {name:"BRD_TNET", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm132_brd_t38", title: langs.getText("p132","brd_t38"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p132","brd_t38")}, {name:"BRD_T38", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm132_brd_usefw", title: langs.getText("p132","brd_usefw"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p132","brd_usefw")}, {name:"BRD_USEFW", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm132_brd_t38port", title: langs.getText("p132","brd_t38port"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p132","brd_t38port")}, {name:"BRD_T38PORT", value:"", select:[{value: "0", option: langs.getText("p132","opt_t38_port_diff")}, {value: "1", option: langs.getText("p132","opt_t38_port_same")}, {value: "2", option: langs.getText("p132","opt_t38_port_nat")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm132_brd_2833pl", title: langs.getText("p132","brd_2833pl"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p132","brd_2833pl")}, {name:"BRD_2833PL", value: "", textfield: [{max: 3}], message: "", cont: 0}, {label: "0-127"}]},
            {key: "pgm132_brd_2833vol", title: langs.getText("p132","brd_2833vol"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p132","brd_2833vol")}, {name:"BRD_2833VOL", value: "", textfield: [{max: 2}], message: "", cont: 0}, {label: "0-36(-dB)"}]},
            {key: "pgm132_brd_2833red", title: langs.getText("p132","brd_2833red"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p132","brd_2833red")}, {name:"BRD_2833RED", value: "", textfield: [{max: 1}], message: "", cont: 0}, {label: "1-8"}]},
			p132_brd_webconn,
			p132_brd_telnetconn,
		]}
	]}
);
