var v_yesno_sel = [{value: "0", option: langs.getText("common","opt_no")}, {value: "1", option: langs.getText("common","opt_yes")}];
if (info.SYSTEM_ID == "iPECS eMG80" || info.SYSTEM_ID == "iPECS eMG100")
{
    var v_pagezone = {tr: [{label: langs.getText("p191","ciqpa_pz")}, {name:"PAG_PGRPNO", value: "", textfield: [{max: 3, size: 3}], message: "", cont: 0}, {label: "INT(1-35)/INT_ALL(36)", cont: 0}, {br: 1, cont: 1}, {label: "EXT1(37)/EXT2(38)/EXT_ALL(39)", cont: 1}, {br: 1, cont: 1}, {label: "ALL(40)", cont: 1}]};
}
else
{
    var v_pagezone = {tr: [{label: langs.getText("p191","ciqpa_pz")}, {name:"PAG_PGRPNO", value: "", textfield: [{max: 3, size: 3}], message: "", cont: 0}, {label: "INT(1-100)/INT_ALL(101)", cont: 0}, {br: 1, cont: 1}, {label: "EXT1(102)/EXT2(103)/EXT_ALL(104)", cont: 1}, {br: 1, cont: 1}, {label: "ALL(105)", cont: 1}]};
}

if (info.SYSTEM_ID == "vUCP") {
	var pag_alm_port_1_chk = {};
	var pag_alm_port_1_label = {};
	var pag_alm_port_2_chk = {};
	var pag_alm_port_2_label = {};
	var pag_br_1 = {};
} else {
	var pag_alm_port_1_chk = {name:"PAG_ALMTP_0", value: "", chk_type: "chk_selectall", chk: 1, cont: 1};
	var pag_alm_port_1_label = {label: langs.getText("p163","alm_port")+" 1   ", cont: 1};
	var pag_alm_port_2_chk = {name:"PAG_ALMTP_1", value: "", chk_type: "chk_selectall", chk: 1, cont: 1};
	var pag_alm_port_2_label = {label: langs.getText("p163","alm_port")+" 2", cont: 1};
	var pag_br_1 = {br: 1, cont: 1};
}

if (info.SYSTEM_ID == "iPECS eMG100") {
	var pag_wtib_base_fault_chk = {};
	var pag_wtib_base_fault_label = {};
	var pag_wtib_chain_fault_chk = {};
	var pag_wtib_chain_fault_label = {};
} else {
	var pag_wtib_base_fault_chk = {name:"PAG_ALMTP_10", value: "", chk_type: "chk_selectall", chk: 1, cont: 1};
	var pag_wtib_base_fault_label = {label: langs.getText("p163","almtp_wtimb"), cont: 1};
	var pag_wtib_chain_fault_chk = {name:"PAG_ALMTP_11", value: "", chk_type: "chk_selectall", chk: 1, cont: 1};
	var pag_wtib_chain_fault_label = {label: langs.getText("p163","almtp_wtimc"), cont: 1};
}

if(info.PHASE>=4.1) {
	var pag_timeslotfull_chk = {name:"PAG_ALMTP_27", value: "", chk_type: "chk_selectall", chk: 1, cont: 1};
	var pag_timeslotfull_label = {label: langs.getText("p163","almtp_timeslot"), cont: 1};	
} else {
	var pag_timeslotfull_chk = {};
	var pag_timeslotfull_label = {};		
}
	
if(info.PHASE>=3.5) {
	var pag_ucs_down_chk = {name:"PAG_ALMTP_23", value: "", chk_type: "chk_selectall", chk: 1, cont: 1};
	var pag_ucs_down_label = {label: langs.getText("p163","almtp_ucs"), cont: 1};
	var pag_push_down_chk = {name:"PAG_ALMTP_24", value: "", chk_type: "chk_selectall", chk: 1, cont: 1};
	var pag_push_down_label = {label: langs.getText("p163","almtp_push"), cont: 1};
	var pag_slv_act_chk = {name:"PAG_ALMTP_25", value: "", chk_type: "chk_selectall", chk: 1, cont: 1};
	var pag_slv_act_label = {label: langs.getText("p163","almtp_slvact"), cont: 1};
	var pag_rest_smdr_chk = {name:"PAG_ALMTP_26", value: "", chk_type: "chk_selectall", chk: 1, cont: 1};
	var pag_rest_smdr_label = {label: langs.getText("p163","almtp_restsmdr"), cont: 1};
} else if(info.PHASE>=3.1) {
	var pag_ucs_down_chk = {name:"PAG_ALMTP_23", value: "", chk_type: "chk_selectall", chk: 1, cont: 1};
	var pag_ucs_down_label = {label: langs.getText("p163","almtp_ucs"), cont: 1};
	var pag_push_down_chk = {name:"PAG_ALMTP_24", value: "", chk_type: "chk_selectall", chk: 1, cont: 1};
	var pag_push_down_label = {label: langs.getText("p163","almtp_push"), cont: 1};
	var pag_slv_act_chk = {};
	var pag_slv_act_label = {};
	var pag_rest_smdr_chk = {};
	var pag_rest_smdr_label = {};
} else {
	var pag_ucs_down_chk = {};
	var pag_ucs_down_label = {};
	var pag_push_down_chk = {};
	var pag_push_down_label = {};
	var pag_slv_act_chk = {};
	var pag_slv_act_label = {};
	var pag_rest_smdr_chk = {};
	var pag_rest_smdr_label = {};
}

define(
	{elements:[
		{name:"tab1", tab: [
			{key: "pgm1634_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
			{key: "pgm1634_mktbl", table: [{label: langs.getText("common","index")}, {label: langs.getText("common","attr")}, {label: langs.getText("common","val")}, {label: langs.getText("common","range")}],
									data_form: [{key: "", struct: [{tr: [ {name: "PAG_INDEX", value: "", rowspan: 9, label: 1}, {label: langs.getText("common","sc_priority")}, {name:"PAG_PRIO", value: "", textfield: [{max: 2, size: 2}], message: "", cont: 0}, {label: "0-9", cont: 0}]},
																			v_pagezone,
																			{tr: [{label: langs.getText("p163","comment")}, {name:"PAG_CMT", value: "", textfield: [{max: 64, size: 65}], message: "", cont: 0,enable_mullang:1}, {label: langs.getText("p163","cmt_max64digit"), cont: 0}]},
																			{tr: [{label: langs.getText("common","retry_on_busy") + "  ", cont: 0}, {name:"PAG_RIFBUSY", value: "", select: v_yesno_sel, message: "", cont: 0}, {label: "", cont: 0}]},
																			{tr: [{label: langs.getText("common","retry_count") + "  ", cont: 0}, {name:"PAG_RCNT", value: "", textfield: [{max: 1, size: 2}], message: "", cont: 0}, {label: "1-9", cont: 0}]},
																			{tr: [{label: langs.getText("common","retry_inter") + "  ", cont: 0}, {name:"PAG_RINTV", value: "", textfield: [{max: 3, size: 4}], message: "", cont: 0}, {label: "10-180 "+langs.getText("common","cmt_second"), cont: 0}]},
																			{tr: [{label: langs.getText("p163","weekday")}, {chk_type: "chk_selectall_in_cell", chk: 1, cont: 0}, {label: " "+langs.getText("common2","chk_unchk_all")+" ", cont: 1}, {br: 1, cont: 1}
																			, {name: "PAG_WDAY_MON", value: "", chk_type: "chk_selectall", chk: 1, cont: 1}, {label: " "+langs.getText("common","simple_monday")+" ", cont: 1},{name: "PAG_WDAY_TUE", value: "", chk_type: "chk_selectall", chk: 1, cont: 1}, {label: langs.getText("common","simple_tuesday")+" ", cont: 1},{name: "PAG_WDAY_WED", value: "", chk_type: "chk_selectall", chk: 1, cont: 1}, {label: langs.getText("common","simple_wed")+" ", cont: 1},{name: "PAG_WDAY_THU", value: "", chk_type: "chk_selectall", chk: 1, cont: 1}, {label: langs.getText("common","simple_thu")+" ", cont: 1}
																			, {name: "PAG_WDAY_FRI", value: "", chk_type: "chk_selectall", chk: 1, cont: 1}, {label: langs.getText("common","simple_friday")+" ", cont: 1}, {br: 1, cont: 1}
																			, {name: "PAG_WDAY_SAT", value: "", chk_type: "chk_selectall", chk: 1, cont: 1}, {label: langs.getText("common","simple_saturday")+" ", cont: 1},{name: "PAG_WDAY_SUN", value: "", chk_type: "chk_selectall", chk: 1, cont: 1}, {label: langs.getText("common","simple_sun")+" ", cont: 1}, {br: 1, cont: 1},{label: "", cont: 0}]},
																			{tr: [{label: langs.getText("common","service_time")},{name:"PAG_STIME", value: "", textfield: [{max: 4, size: 5}], message: "", cont: 0},{label: " - ", cont: 1},{name:"PAG_ETIME", value: "", textfield: [{max: 4, size: 5}], message: "", cont: 1},{label: "0000 - 2359", cont: 0}]},
																			{tr: [{label: langs.getText("p163","service_for_alarm")}, {chk_type: "chk_selectall_in_cell", chk: 1, cont: 0}, {label: " "+langs.getText("common2","chk_unchk_all")+" ", cont: 1}, {br: 1, cont: 1}
																			, pag_alm_port_1_chk,pag_alm_port_1_label, pag_alm_port_2_chk,pag_alm_port_2_label
																			, pag_br_1, {name:"PAG_ALMTP_2", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_emer"), cont: 1}, {name:"PAG_ALMTP_3", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_bath"), cont: 1}, {name:"PAG_ALMTP_4", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_dco"), cont: 1}, {name:"PAG_ALMTP_5", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_sip"), cont: 1}, {name:"PAG_ALMTP_6", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_sta"), cont: 1}, {name:"PAG_ALMTP_7", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_co"), cont: 1}
																			, {br: 1, cont: 1}, {name:"PAG_ALMTP_8", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_smdr"), cont: 1}, {name:"PAG_ALMTP_9", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_vm"), cont: 1}, pag_wtib_base_fault_chk, pag_wtib_base_fault_label, pag_wtib_chain_fault_chk, pag_wtib_chain_fault_label, {name:"PAG_ALMTP_12", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_ismdr"), cont: 1}
																			, {br: 1, cont: 1}, {name:"PAG_ALMTP_13", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_cabinet"), cont: 1}, {name:"PAG_ALMTP_14", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_bar"), cont: 1}, {name:"PAG_ALMTP_15", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_ipcr"), cont: 1}, {name:"PAG_ALMTP_16", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_ipwatch"), cont: 1}
																			, {br: 1, cont: 1}, {name:"PAG_ALMTP_17", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_templic"), cont: 1}, {name:"PAG_ALMTP_18", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_mntlic"), cont: 1}, {name:"PAG_ALMTP_19", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_regover"), cont: 1}, {name:"PAG_ALMTP_20", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_tnetlic"), cont: 1}
																			, {br: 1, cont: 1}, {name:"PAG_ALMTP_21", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_tapi"), cont: 1}, {name:"PAG_ALMTP_22", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_pms"), cont: 1}
																			, pag_ucs_down_chk,pag_ucs_down_label, pag_push_down_chk,pag_push_down_label, pag_slv_act_chk,pag_slv_act_label,pag_rest_smdr_chk,pag_rest_smdr_label, pag_timeslotfull_chk,pag_timeslotfull_label
																			, {label: "", cont: 0}]}]}],
									variable_data: [{}]}
		]}
	]}
);
