if(info.SYSTEM_ID == "iPECS eMG100") {
	var p174_usb_1st = {};
	var p174_usb_2nd = {};
} else {
	var p174_usb_1st = 
			{key: "pgm174_siu_2_usb1", struct: [{tr: [{label: langs.getText("p174","siu_2_usb1"), rowspan:5}, {label: langs.getText("p174","siu_baud")}, {name: "SIU_2_BAUD", value: "", select: [{value: "0", option: langs.getText("common","opt_unknown")}, {value: "1", option: "9600 "+langs.getText("p174","opt_baud")}, {value: "2", option: "19200 "+langs.getText("p174","opt_baud")}, {value: "3", option: "38400 "+langs.getText("p174","opt_baud")}, {value: "4", option: "57600 "+langs.getText("p174","opt_baud")}, {value: "5", option: "115200 "+langs.getText("p174","opt_baud")}], message: "", cont: 0}, {label: ""}]}, 
										  {tr: [{label: "CTS/RTS"}, {name: "SIU_2_CTSRTS", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]}, 
										  {tr: [{label: langs.getText("p174","siu_pbrk")}, {name: "SIU_2_PBRK", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]}, 
										  {tr: [{label: langs.getText("p174","siu_lpp")}, {name: "SIU_2_LPP", value: "", textfield: [{max: 3, size: 5}], message: "", cont: 0}, {label: "001-199"}]}, 
										  {tr: [{label: langs.getText("p174","siu_xonoff")}, {name: "SIU_2_XONOFF", value: "", select: [{value: "0", option: langs.getText("p174","opt_xoff")}, {value: "1", option: langs.getText("p174","opt_xon")}], message: "", cont: 0}, {label: ""}]}]};
	var p174_usb_2nd = 
			{key: "pgm174_siu_3_usb2", struct: [{tr: [{label: langs.getText("p174","siu_3_usb2"), rowspan:5}, {label: langs.getText("p174","siu_baud")}, {name: "SIU_3_BAUD", value: "", select: [{value: "0", option: langs.getText("common","opt_unknown")}, {value: "1", option: "9600 "+langs.getText("p174","opt_baud")}, {value: "2", option: "19200 "+langs.getText("p174","opt_baud")}, {value: "3", option: "38400 "+langs.getText("p174","opt_baud")}, {value: "4", option: "57600 "+langs.getText("p174","opt_baud")}, {value: "5", option: "115200 "+langs.getText("p174","opt_baud")}], message: "", cont: 0}, {label: ""}]}, 
										  {tr: [{label: "CTS/RTS"}, {name: "SIU_3_CTSRTS", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]}, 
										  {tr: [{label: langs.getText("p174","siu_pbrk")}, {name: "SIU_3_PBRK", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]}, 
										  {tr: [{label: langs.getText("p174","siu_lpp")}, {name: "SIU_3_LPP", value: "", textfield: [{max: 3, size: 5}], message: "", cont: 0}, {label: "001-199"}]}, 
										  {tr: [{label: langs.getText("p174","siu_xonoff")}, {name: "SIU_3_XONOFF", value: "", select: [{value: "0", option: langs.getText("p174","opt_xoff")}, {value: "1", option: langs.getText("p174","opt_xon")}], message: "", cont: 0}, {label: ""}]}]};
}

define(
    {elements:[
        {name:"tab1", tab: [
            {key: "pgm174_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
            {key: "pgm174_mktbl", table: [{label: langs.getText("common","attr")}, {label: langs.getText("common","val"), colspan: 2}, {label: langs.getText("common","range")}]},
						{key: "pgm174_siu_0_serial1", struct: [{tr: [{label: langs.getText("p174","siu_0_serial1"), rowspan:5}, {label: langs.getText("p174","siu_baud")}, {name: "SIU_0_BAUD", value: "", select: [{value: "0", option: langs.getText("common","opt_unknown")}, {value: "1", option: "9600 "+langs.getText("p174","opt_baud")}, {value: "2", option: "19200 "+langs.getText("p174","opt_baud")}, {value: "3", option: "38400 "+langs.getText("p174","opt_baud")}, {value: "4", option: "57600 "+langs.getText("p174","opt_baud")}, {value: "5", option: "115200 "+langs.getText("p174","opt_baud")}], message: "", cont: 0}, {label: ""}]}, 
																		   {tr: [{label: "CTS/RTS"}, {name: "SIU_0_CTSRTS", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]}, 
																		   {tr: [{label: langs.getText("p174","siu_pbrk")}, {name: "SIU_0_PBRK", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]}, 
																		   {tr: [{label: langs.getText("p174","siu_lpp")}, {name: "SIU_0_LPP", value: "", textfield: [{max: 3, size: 5}], message: "", cont: 0}, {label: "001-199"}]}, 
																		   {tr: [{label: langs.getText("p174","siu_xonoff")}, {name: "SIU_0_XONOFF", value: "", select: [{value: "0", option: langs.getText("p174","opt_xoff")}, {value: "1", option: langs.getText("p174","opt_xon")}], message: "", cont: 0}, {label: ""}]}]},
			p174_usb_1st,
			p174_usb_2nd
		]}
	]}
);
