if(info.MAX_DISA_HUNT_ANNC_ALL) {
	var v_vsf_0 = {label: "0 - "+info.MAX_DISA_HUNT_ANNC_ALL+" (0 : "+langs.getText("common","unused")+")"};
}
else {
	var v_vsf_0 = {label: "0-70 (0 : "+langs.getText("common","unused")+")"};
}

if(info.PHASE >= 3.0) {
	var p300_mitel_pms_usage = {key: "pgm300_hotel_mitelpms", title: langs.getText("p300","hotel_mitelpms"), tr:[{order: 1}, {label: langs.getText("p300","hotel_mitelpms")}, {name:"HOTEL_MITELPMS", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]};
	var p300_mitel_pms_ip = {key: "pgm300_hotel_miteladdr", title: langs.getText("p300","hotel_miteladdr"), tr:[{order: 1}, {label: langs.getText("p300","hotel_miteladdr")}, {name:"HOTEL_MITELADDR", value:"", textfield:[{max: 15, size: 15}], message: "", cont: 0}, {label: ""}]};
	var p300_mitel_pms_ayt = {key: "pgm300_hotel_mitelayt", title: langs.getText("p300","hotel_mitelayt"), tr:[{order: 1}, {label: langs.getText("p300","hotel_mitelayt")}, {name:"HOTEL_MITELAYT", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]};
	var p300_mitel_smdr_usage = {key: "pgm300_hotel_mitelsmdr", title: langs.getText("p300","hotel_mitelsmdr"), tr:[{order: 1}, {label: langs.getText("p300","hotel_mitelsmdr")}, {name:"HOTEL_MITELSMDR", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]};
	var p300_mitel_smdr_ip = {key: "pgm300_hotel_smdraddr", title: langs.getText("p300","hotel_smdraddr"), tr:[{order: 1}, {label: langs.getText("p300","hotel_smdraddr")}, {name:"HOTEL_SMDRADDR", value:"", textfield:[{max: 15, size: 15}], message: "", cont: 0}, {label: ""}]};
} else {
	var p300_mitel_pms_usage = {};
	var p300_mitel_pms_ip = {};
	var p300_mitel_pms_ayt = {};
	var p300_mitel_smdr_usage = {};
	var p300_mitel_smdr_ip = {};
}

if(info.PHASE >= 5.0) {
	var p300_del_voicemail = {key: "pgm300_hotel_delvoicemail", title: langs.getText("p300","hotel_delvoicemail"), tr:[{order: 1}, {label: langs.getText("p300","hotel_delvoicemail")}, {name:"HOTEL_DELVOICEMAIL", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]};
	
	} else {
	var p300_del_voicemail = {};
}

define(
    {elements:[
        {name:"tab1", tab: [
            {key: "pgm300_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
            {key: "pgm300_hotel_enable", title: langs.getText("p300","hotel_enable"), contents:[{text: langs.getText("p300","hotel_enable")+" : "}, {name:"HOTEL_ENABLE", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: ""}]},
            {key: "pgm300_mktbl", title: langs.getText("common","mktbl"), table: [{label: langs.getText("common","order")}, {label: langs.getText("common","attr")}, {label: langs.getText("common","val")}, {label: langs.getText("common","range")}]},
            {key: "pgm300_hotel_bathalm", title: langs.getText("p300","hotel_bathalm"), tr:[{order: 1}, {label: langs.getText("p300","hotel_bathalm")+" ("+langs.getText("common","cmt_second")+")"}, {name:"HOTEL_BATHALM", value:"", textfield:[{max: 2, size: 5}], message: "", cont: 0}, {label: "01-20"}]},
            {key: "pgm300_hotel_basetm", title: langs.getText("p300","hotel_basetm"), tr:[{order: 1}, {label: langs.getText("p300","hotel_basetm")}, {name:"HOTEL_BASETM", value:"", textfield:[{max: 2, size: 5}], message: "", cont: 0}, {label: "00-23"}]},
            {key: "pgm300_hotel_print", title: langs.getText("p300","hotel_print"), tr:[{order: 1}, {label: langs.getText("p300","hotel_print")}, {name:"HOTEL_PRINT", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm300_hotel_echo", title: langs.getText("p300","hotel_echo"), tr:[{order: 1}, {label: langs.getText("p300","hotel_echo")}, {name:"HOTEL_ECHO", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm300_hotel_tollcha", title: langs.getText("p300","hotel_tollcha"), tr:[{order: 1}, {label: langs.getText("p300","hotel_tollcha")}, {name:"HOTEL_TOLLCHA", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm300_hotel_pay", title: langs.getText("p300","hotel_pay"), struct: [{tr: [{order: 1, rowspan: 10}, {label: langs.getText("p300","hotel_pay"), rowspan: 10}, {label: "0"}, {name:"HOTEL_PAY_0", value: "", textfield: [{max: 7}], message: "", cont: 1}, {label: langs.getText("common","max7ch")}]},
																													  {tr: [{label: "1"}, {name:"HOTEL_PAY_1", value: "", textfield: [{max: 7}], message: "", cont: 1}, {label: langs.getText("common","max7ch")}]},
																													  {tr: [{label: "2"}, {name:"HOTEL_PAY_2", value: "", textfield: [{max: 7}], message: "", cont: 1}, {label: langs.getText("common","max7ch")}]},
																													  {tr: [{label: "3"}, {name:"HOTEL_PAY_3", value: "", textfield: [{max: 7}], message: "", cont: 1}, {label: langs.getText("common","max7ch")}]},
																													  {tr: [{label: "4"}, {name:"HOTEL_PAY_4", value: "", textfield: [{max: 7}], message: "", cont: 1}, {label: langs.getText("common","max7ch")}]},
																													  {tr: [{label: "5"}, {name:"HOTEL_PAY_5", value: "", textfield: [{max: 7}], message: "", cont: 1}, {label: langs.getText("common","max7ch")}]},
																													  {tr: [{label: "6"}, {name:"HOTEL_PAY_6", value: "", textfield: [{max: 7}], message: "", cont: 1}, {label: langs.getText("common","max7ch")}]},
																													  {tr: [{label: "7"}, {name:"HOTEL_PAY_7", value: "", textfield: [{max: 7}], message: "", cont: 1}, {label: langs.getText("common","max7ch")}]},
																													  {tr: [{label: "8"}, {name:"HOTEL_PAY_8", value: "", textfield: [{max: 7}], message: "", cont: 1}, {label: langs.getText("common","max7ch")}]},
																													  {tr: [{label: "9"}, {name:"HOTEL_PAY_9", value: "", textfield: [{max: 7}], message: "", cont: 1}, {label: langs.getText("common","max7ch")}]}]},
				{key: "pgm300_hotel_fias", title: langs.getText("p300","hotel_fias"), tr:[{order: 1}, {label: langs.getText("p300","hotel_fias")}, {name:"HOTEL_FIAS", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
				{key: "pgm300_hotel_faddr", title: langs.getText("p300","hotel_faddr"), tr:[{order: 1}, {label: langs.getText("p300","hotel_faddr")}, {name:"HOTEL_FADDR", value:"", textfield:[{max: 15, size: 15}], message: "", cont: 0}, {label: ""}]},
				{key: "pgm300_hotel_fport", title: langs.getText("p300","hotel_fport"), tr:[{order: 1}, {label: langs.getText("p300","hotel_fport")}, {name:"HOTEL_FPORT", value:"", textfield:[{max: 5, size: 5}], message: "", cont: 0}, {label: ""}]},
				{key: "pgm300_hotel_chkinla", title: langs.getText("p300","hotel_chkinla"), tr:[{order: 1}, {label: langs.getText("p300","hotel_chkinla")}, {name:"HOTEL_CHKINLA", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
				{key: "pgm300_hotel_room20", title: langs.getText("p300","hotel_room20"), tr:[{order: 1}, {label: langs.getText("p300","hotel_room20")}, {name:"HOTEL_ROOM20", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
				{key: "pgm300_hotel_fiassmdr", title: langs.getText("p300","hotel_fiassmdr"), tr:[{order: 1}, {label: langs.getText("p300","hotel_fiassmdr")}, {name:"HOTEL_FIASSMDR", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
				{key: "pgm300_hotel_fiasminibar", title: langs.getText("p300","hotel_fiasminibar"), tr:[{order: 1}, {label: langs.getText("p300","hotel_fiasminibar")}, {name:"HOTEL_FIASMINIBAR", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
				{key: "pgm300_hotel_minibarannc", title: langs.getText("p300","hotel_minibarannc"), tr:[{order: 1}, {label: langs.getText("p300","hotel_minibarannc")}, {name:"HOTEL_MINIBARANNC", value:"", textfield:[{max: 3, size: 5}], message: "", cont: 0}, v_vsf_0]},
				{key: "pgm300_hotel_ipatdpms", title: langs.getText("p300","hotel_ipatdpms"), tr:[{order: 1}, {label: langs.getText("p300","hotel_ipatdpms")}, {name:"HOTEL_IPATDPMS", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
				{key: "pgm300_hotel_calltoatd", title: langs.getText("p300","hotel_calltoatd"), tr:[{order: 1}, {label: langs.getText("p300","hotel_calltoatd")}, {name:"HOTEL_CALLTOATD", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
				{key: "pgm300_hotel_makedirty", title: langs.getText("p300","hotel_makedirty"), tr:[{order: 1}, {label: langs.getText("p300","hotel_makedirty")}, {name:"HOTEL_MAKEDIRTY", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
			p300_mitel_pms_usage,
			p300_mitel_pms_ip,
			p300_mitel_pms_ayt,
			p300_mitel_smdr_usage,
			p300_mitel_smdr_ip,
			p300_del_voicemail
		]}
	]}
);
