if (info.SYSTEM_ID == "iPECS eMG100") {
	var dect = {};
} else {
	var dect = {key: "pgm405_vsfg_wtimg", title: langs.getText("common","dect_phone"), tr: [{label: langs.getText("common","dect_phone")}, {name: "VSFG_WTIMG", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","dect_phone")}, {name: "VSFG_TXWTIMG", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]};
}

define(
    {elements:[
        {name:"tab1", tab: [
            {key: "pgm405_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
            {key: "pgm405_mktbl", title: langs.getText("common","mktbl"), table: [{label: langs.getText("p405","rx_attr")}, {label: langs.getText("common","val")}, {label: langs.getText("p405","tx_attr")}, {label: langs.getText("common","val")}, {label: langs.getText("common","range")}]},
						{key: "pgm405_vsfg_phs", title: langs.getText("common","ipphs"), tr: [{label: langs.getText("common","ipphs")}, {name: "VSFG_PHS", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","ipphs")}, {name: "VSFG_TXPHS", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm405_vsfg_phf", title: langs.getText("common","ipphf"), tr: [{label: langs.getText("common","ipphf")}, {name: "VSFG_PHF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","ipphf")}, {name: "VSFG_TXPHF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm405_vsfg_slt", title: langs.getText("common","slt"), tr: [{label: langs.getText("common","slt")}, {name: "VSFG_SLT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","slt")}, {name: "VSFG_TXSLT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm405_vsfg_aco", title: langs.getText("common","aco"), tr: [{label: langs.getText("common","aco")}, {name: "VSFG_ACO", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","aco")}, {name: "VSFG_TXACO", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm405_vsfg_dco", title: langs.getText("common","dco"), tr: [{label: langs.getText("common","dco")}, {name: "VSFG_DCO", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","dco")}, {name: "VSFG_TXDCO", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm405_vsfg_vsf", title: langs.getText("common","vsf"), tr: [{label: langs.getText("common","vsf")}, {name: "VSFG_VSF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","vsf")}, {name: "VSFG_TXVSF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm405_vsfg_imisc", title: langs.getText("common","internal_music"), tr: [{label: langs.getText("common","internal_music")}, {name: "VSFG_IMISC", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","internal_music")}, {name: "VSFG_TXIMISC", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm405_vsfg_emisc", title: langs.getText("common","extmusic"), tr: [{label: langs.getText("common","extmusic")}, {name: "VSFG_EMISC", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","extmusic")}, {name: "VSFG_TXEMISC", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						dect,
						{key: "pgm405_vsfg_sipext", title: langs.getText("common","sip_phone"), tr: [{label: langs.getText("common","sip_phone")}, {name: "VSFG_SIPEXT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","sip_phone")}, {name: "VSFG_TXSIPEXT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm405_vsfg_dkths", title: langs.getText("common","dkths"), tr: [{label: langs.getText("common","dkths")}, {name: "VSFG_DKTHS", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","dkths")}, {name: "VSFG_TXDKTHS", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm405_vsfg_dkthf", title: langs.getText("common","dkthf"), tr: [{label: langs.getText("common","dkthf")}, {name: "VSFG_DKTHF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","dkthf")}, {name: "VSFG_TXDKTHF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm405_vsfg_wit", title: langs.getText("common","wit_phone"), tr: [{label: langs.getText("common","wit_phone")}, {name: "VSFG_WIT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","wit_phone")}, {name: "VSFG_TXWIT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]}
		]}
	]}
);
