if(info.HOTEL) {
	var v_1 = {key: "pgm452_vdip_hotel", tr: [{order: 1}, {label: langs.getText("p452","vdip_hotel")}, {name: "VDIP_HOTEL", value: "", chk_type: "chk_selectall", chk: 1}]};
} else {
	var v_1 = {};
}

if(info.SYSTEM_ID == "iPECS eMG80") {
	var v_2 = {key: "pgm452_vdip_dect", tr: [{order: 1}, {label: langs.getText("p452","vdip_dect")}, {name: "VDIP_DECT", value: "", chk_type: "chk_selectall", chk: 1}]};
} else {
	var v_2 = {};
}

if(info.PHASE >= 3.0) {
	var v_3 = {key: "pgm452_vdip_multilogin", tr: [{order: 1}, {label: langs.getText("p452","vdip_multilogin")}, {name: "VDIP_MULTILOGIN", value: "", chk_type: "chk_selectall", chk: 1}]};
	var v_4 = {key: "pgm452_vdip_pushsvc", tr: [{order: 1}, {label: langs.getText("p452","vdip_pushsvc")}, {name: "VDIP_PUSHSVC", value: "", chk_type: "chk_selectall", chk: 1}]};
	var v_6 = {key: "pgm452_qdl_push", tr: [{order: 1}, {label: "PUSH"}, {name: "QDL_PUSH", value: "", chk_type: "chk_selectall", chk: 1}]};
} else {
	var v_3 = {};
	var v_4 = {};
	var v_6 = {};
}

if(info.PHASE >= 3.5) {
	var v_5 = {key: "pgm452_vdip_restapi", tr: [{order: 1}, {label: langs.getText("p452","vdip_restapi")}, {name: "VDIP_RESTAPI", value: "", chk_type: "chk_selectall", chk: 1}]};
	var v_7 = {key: "pgm452_qdl_rest", tr: [{order: 1}, {label: langs.getText("p452","vdip_restapi")}, {name: "QDL_REST", value: "", chk_type: "chk_selectall", chk: 1}]};
} else {
	var v_5 = {};
	var v_7 = {};
}

if(info.PHASE >= 4.0) {
	var v_8 = {key: "pgm452_vdip_restapicall", tr: [{order: 1}, {label: langs.getText("p452","vdip_restapicall")}, {name: "VDIP_RESTAPICALL", value: "", chk_type: "chk_selectall", chk: 1}]};
} else {
	var v_8 = {};
}

if (!offline_mode) {
	define(
		{elements:[
			{name:"tab1", tab: [
				{key: "pgm452_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
				{key: "pgm452_mktbl", table: [{label: langs.getText("common","order"), sort: "num"}, {label: langs.getText("common","attr")}, {label:""}]},
				{key: "pgm452_vdip_call", tr: [{order: 1}, {label: langs.getText("p452","vdip_call")}, {name: "VDIP_CALL", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_voip", tr: [{order: 1}, {label: langs.getText("p452","vdip_voip")}, {name: "VDIP_VOIP", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_http", tr: [{order: 1}, {label: langs.getText("p452","vdip_http")}, {name: "VDIP_HTTP", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_multi", tr: [{order: 1}, {label: langs.getText("p452","vdip_multi")}, {name: "VDIP_MULTI", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_cti", tr: [{order: 1}, {label: langs.getText("p452","vdip_cti")}, {name: "VDIP_CTI", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_raw", tr: [{order: 1}, {label: langs.getText("p452","vdip_raw")}, {name: "VDIP_RAW", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_mpmp", tr: [{order: 1}, {label: langs.getText("p452","vdip_mpmp")}, {name: "VDIP_MPMP", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_cpure", tr: [{order: 1}, {label: langs.getText("p452","vdip_cpure")}, {name: "VDIP_CPURE", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_mscvm", tr: [{order: 1}, {label: langs.getText("p452","vdip_mscvm")}, {name: "VDIP_MSCVM", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_dsp", tr: [{order: 1}, {label: langs.getText("p452","vdip_dsp")}, {name: "VDIP_DSP", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_sip", tr: [{order: 1}, {label: langs.getText("p452","vdip_sip")}, {name: "VDIP_SIP", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_ismdr", tr: [{order: 1}, {label: langs.getText("p452","vdip_ismdr")}, {name: "VDIP_ISMDR", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_sipmsg", tr: [{order: 1}, {label: langs.getText("p452","vdip_sipmsg")}, {name: "VDIP_SIPMSG", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_fullsipmsg", tr: [{order: 1}, {label: langs.getText("p452","vdip_fullsipmsg")}, {name: "VDIP_FULLSIPMSG", value: "", chk_type: "chk_selectall", chk: 1}]},
				v_1,
				{key: "pgm452_vdip_pms", tr: [{order: 1}, {label: "PMS"}, {name: "VDIP_PMS", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_reportplus", tr: [{order: 1}, {label: "REPORT PLUS"}, {name: "VDIP_REPORTPLUS", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_sipext", tr: [{order: 1}, {label: langs.getText("p452","vdip_sipext")}, {name: "VDIP_SIPEXT", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_debug", tr: [{order: 1}, {label: langs.getText("p452","vdip_debug")}, {name: "VDIP_DEBUG", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_ipatd", tr: [{order: 1}, {label: langs.getText("p452","vdip_ipatd")}, {name: "VDIP_IPATD", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_isdn", tr: [{order: 1}, {label: langs.getText("p452","vdip_isdn")}, {name: "VDIP_ISDN", value: "", chk_type: "chk_selectall", chk: 1}]},
				//{key: "pgm452_vdip_spi", tr: [{order: 1}, {label: langs.getText("p452","vdip_spi")}, {name: "VDIP_SPI", value: "", chk_type: "chk_selectall", chk: 1}]},
				v_2,
				{key: "pgm452_vdip_httpxml", tr: [{order: 1}, {label: langs.getText("p452","vdip_httpxml")}, {name: "VDIP_HTTPXML", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_psgroup", tr: [{order: 1}, {label: langs.getText("p452","vdip_psgroup")}, {name: "VDIP_PSGROUP", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_mg", tr: [{order: 1}, {label: langs.getText("p452","vdip_mg")}, {name: "VDIP_MG", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_tdm", tr: [{order: 1}, {label: langs.getText("p452","vdip_tdm")}, {name: "VDIP_TDM", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_stducs", tr: [{order: 1}, {label: langs.getText("p452","vdip_stducs")}, {name: "VDIP_STDUCS", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_slt", tr: [{order: 1}, {label: langs.getText("p452","vdip_slt")}, {name: "VDIP_SLT", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_reg", tr: [{order: 1}, {label: langs.getText("p452","vdip_reg")}, {name: "VDIP_REG", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_h323", tr: [{order: 1}, {label: langs.getText("p452","vdip_h323")}, {name: "VDIP_H323", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_pri", tr: [{order: 1}, {label: langs.getText("p452","vdip_pri")}, {name: "VDIP_PRI", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_dtrans", tr: [{order: 1}, {label: langs.getText("p452","vdip_dtrans")}, {name: "VDIP_DTRANS", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_rec", tr: [{order: 1}, {label: langs.getText("p452","vdip_rec")}, {name: "VDIP_REC", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_smtp", tr: [{order: 1}, {label: "SMTP"}, {name: "VDIP_SMTP", value: "", chk_type: "chk_selectall", chk: 1}]},
				v_3,
				v_4,
				v_5,
				v_8,
				{key: "pgm452_qdl_attr", th: [{label: langs.getText("common","debug"), colspan: 4}]},
				{key: "pgm452_qdl_sig", tr: [{order: 1}, {label: "SIG"}, {name: "QDL_SIG", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_qdl_pptp", tr: [{order: 1}, {label: "PPTP"}, {name: "QDL_PPTP", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_qdl_warn", tr: [{order: 1}, {label: "WARN"}, {name: "QDL_WARN", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_qdl_tmr", tr: [{order: 1}, {label: "TMR"}, {name: "QDL_TMR", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_qdl_zone", tr: [{order: 1}, {label: "ZONE"}, {name: "QDL_ZONE", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_qdl_dbs", tr: [{order: 1}, {label: "DBS"}, {name: "QDL_DBS", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_qdl_http", tr: [{order: 1}, {label: "HTTP"}, {name: "QDL_HTTP", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_qdl_task", tr: [{order: 1}, {label: "TASK"}, {name: "QDL_TASK", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_qdl_perf", tr: [{order: 1}, {label: "PERF"}, {name: "QDL_PERF", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_qdl_snd2mac", tr: [{order: 1}, {label: "SND2MAC"}, {name: "QDL_SND2MAC", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_qdl_ipkts", tr: [{order: 1}, {label: "IPKTS"}, {name: "QDL_IPKTS", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_qdl_cli", tr: [{order: 1}, {label: "CLI"}, {name: "QDL_CLI", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_qdl_ntp", tr: [{order: 1}, {label: "NTP"}, {name: "QDL_NTP", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_qdl_ls", tr: [{order: 1}, {label: "LS"}, {name: "QDL_LS", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_qdl_tcp", tr: [{order: 1}, {label: "TCP"}, {name: "QDL_TCP", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_qdl_ppp", tr: [{order: 1}, {label: "PPP"}, {name: "QDL_PPP", value: "", chk_type: "chk_selectall", chk: 1}]},
				v_6,
				v_7,
				{key: "pgm452_q_attr", th: [{label: "Trace", colspan: 4}]},
				{key: "pgm452_q_trace", tr: [{order: 1}, {label: "Q Trace"}, {name: "Q_TR", value: "", chk_type: "chk_selectall", chk: 1}]}
			]}
		]}
	);
} else {
	define(
		{elements:[
			{name:"tab1", tab: [
				{key: "pgm452_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
				{key: "pgm452_mktbl", table: [{label: langs.getText("common","order"), sort: "num"}, {label: langs.getText("common","attr")}, {label:""}]},
				{key: "pgm452_vdip_call", tr: [{order: 1}, {label: langs.getText("p452","vdip_call")}, {name: "VDIP_CALL", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_voip", tr: [{order: 1}, {label: langs.getText("p452","vdip_voip")}, {name: "VDIP_VOIP", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_http", tr: [{order: 1}, {label: langs.getText("p452","vdip_http")}, {name: "VDIP_HTTP", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_multi", tr: [{order: 1}, {label: langs.getText("p452","vdip_multi")}, {name: "VDIP_MULTI", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_cti", tr: [{order: 1}, {label: langs.getText("p452","vdip_cti")}, {name: "VDIP_CTI", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_raw", tr: [{order: 1}, {label: langs.getText("p452","vdip_raw")}, {name: "VDIP_RAW", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_mpmp", tr: [{order: 1}, {label: langs.getText("p452","vdip_mpmp")}, {name: "VDIP_MPMP", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_cpure", tr: [{order: 1}, {label: langs.getText("p452","vdip_cpure")}, {name: "VDIP_CPURE", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_mscvm", tr: [{order: 1}, {label: langs.getText("p452","vdip_mscvm")}, {name: "VDIP_MSCVM", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_dsp", tr: [{order: 1}, {label: langs.getText("p452","vdip_dsp")}, {name: "VDIP_DSP", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_sip", tr: [{order: 1}, {label: langs.getText("p452","vdip_sip")}, {name: "VDIP_SIP", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_ismdr", tr: [{order: 1}, {label: langs.getText("p452","vdip_ismdr")}, {name: "VDIP_ISMDR", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_sipmsg", tr: [{order: 1}, {label: langs.getText("p452","vdip_sipmsg")}, {name: "VDIP_SIPMSG", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_fullsipmsg", tr: [{order: 1}, {label: langs.getText("p452","vdip_fullsipmsg")}, {name: "VDIP_FULLSIPMSG", value: "", chk_type: "chk_selectall", chk: 1}]},
				v_1,
				{key: "pgm452_vdip_pms", tr: [{order: 1}, {label: "PMS"}, {name: "VDIP_PMS", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_reportplus", tr: [{order: 1}, {label: "REPORT PLUS"}, {name: "VDIP_REPORTPLUS", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_sipext", tr: [{order: 1}, {label: langs.getText("p452","vdip_sipext")}, {name: "VDIP_SIPEXT", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_debug", tr: [{order: 1}, {label: langs.getText("p452","vdip_debug")}, {name: "VDIP_DEBUG", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_ipatd", tr: [{order: 1}, {label: langs.getText("p452","vdip_ipatd")}, {name: "VDIP_IPATD", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_isdn", tr: [{order: 1}, {label: langs.getText("p452","vdip_isdn")}, {name: "VDIP_ISDN", value: "", chk_type: "chk_selectall", chk: 1}]},
				//{key: "pgm452_vdip_spi", tr: [{order: 1}, {label: langs.getText("p452","vdip_spi")}, {name: "VDIP_SPI", value: "", chk_type: "chk_selectall", chk: 1}]},
				v_2,
				{key: "pgm452_vdip_httpxml", tr: [{order: 1}, {label: langs.getText("p452","vdip_httpxml")}, {name: "VDIP_HTTPXML", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_psgroup", tr: [{order: 1}, {label: langs.getText("p452","vdip_psgroup")}, {name: "VDIP_PSGROUP", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_mg", tr: [{order: 1}, {label: langs.getText("p452","vdip_mg")}, {name: "VDIP_MG", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_tdm", tr: [{order: 1}, {label: langs.getText("p452","vdip_tdm")}, {name: "VDIP_TDM", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_stducs", tr: [{order: 1}, {label: langs.getText("p452","vdip_stducs")}, {name: "VDIP_STDUCS", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_slt", tr: [{order: 1}, {label: langs.getText("p452","vdip_slt")}, {name: "VDIP_SLT", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_reg", tr: [{order: 1}, {label: langs.getText("p452","vdip_reg")}, {name: "VDIP_REG", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_h323", tr: [{order: 1}, {label: langs.getText("p452","vdip_h323")}, {name: "VDIP_H323", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_pri", tr: [{order: 1}, {label: langs.getText("p452","vdip_pri")}, {name: "VDIP_PRI", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_dtrans", tr: [{order: 1}, {label: langs.getText("p452","vdip_dtrans")}, {name: "VDIP_DTRANS", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_rec", tr: [{order: 1}, {label: langs.getText("p452","vdip_rec")}, {name: "VDIP_REC", value: "", chk_type: "chk_selectall", chk: 1}]},
				{key: "pgm452_vdip_smtp", tr: [{order: 1}, {label: "SMTP"}, {name: "VDIP_SMTP", value: "", chk_type: "chk_selectall", chk: 1}]},
				v_3,
				v_4,
				v_5,
				v_8
			]}
		]}
	);
}
