if(info.SYSTEM_ID == "iPECS eMG80" || info.SYSTEM_ID == "iPECS eMG100" || info.SYSTEM_ID == "iPECS eMG800") {
	var v_1 = {};
} else {
	var v_1 = {key: "pgm496_dktuhs_mcim", title: langs.getText("common","mcim"), tr: [{label: langs.getText("common","mcim")}, {name: "DKTUHS_MCIM", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","mcim")}, {name: "DKTUHS_TXMCIM", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]};
}

if (info.SYSTEM_ID == "iPECS eMG100") {
	var dect = {};
} else {
	var dect = {key: "pgm496_dktuhs_wtimg", title: langs.getText("common","dect_phone"), tr: [{label: langs.getText("common","dect_phone")}, {name: "DKTUHS_WTIMG", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","dect_phone")}, {name: "DKTUHS_TXWTIMG", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]};
}

define(
    {elements:[
        {name:"tab1", tab: [
            {key: "pgm496_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
            {key: "pgm496_mktbl", title: langs.getText("common","mktbl"), table: [{label: langs.getText("p496","rx_attr")}, {label: langs.getText("common","val")}, {label: langs.getText("p496","tx_attr")}, {label: langs.getText("common","val")}, {label: langs.getText("common","range")}]},
						{key: "pgm496_dktuhs_phs", title: langs.getText("common","ipphs"), tr: [{label: langs.getText("common","ipphs")}, {name: "DKTUHS_PHS", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","ipphs")}, {name: "DKTUHS_TXPHS", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm496_dktuhs_phf", title: langs.getText("common","ipphf"), tr: [{label: langs.getText("common","ipphf")}, {name: "DKTUHS_PHF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","ipphf")}, {name: "DKTUHS_TXPHF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm496_dktuhs_slt", title: langs.getText("common","slt"), tr: [{label: langs.getText("common","slt")}, {name: "DKTUHS_SLT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","slt")}, {name: "DKTUHS_TXSLT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm496_dktuhs_aco", title: langs.getText("common","aco"), tr: [{label: langs.getText("common","aco")}, {name: "DKTUHS_ACO", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","aco")}, {name: "DKTUHS_TXACO", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm496_dktuhs_dco", title: langs.getText("common","dco"), tr: [{label: langs.getText("common","dco")}, {name: "DKTUHS_DCO", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","dco")}, {name: "DKTUHS_TXDCO", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm496_dktuhs_vsf", title: langs.getText("common","vsf"), tr: [{label: langs.getText("common","vsf")}, {name: "DKTUHS_VSF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","vsf")}, {name: "DKTUHS_TXVSF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm496_dktuhs_imisc", title: langs.getText("common","internal_music"), tr: [{label: langs.getText("common","internal_music")}, {name: "DKTUHS_IMISC", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","internal_music")}, {name: "DKTUHS_TXIMISC", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm496_dktuhs_emisc", title: langs.getText("common","extmusic"), tr: [{label: langs.getText("common","extmusic")}, {name: "DKTUHS_EMISC", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","extmusic")}, {name: "DKTUHS_TXEMISC", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						v_1,
						dect,
						{key: "pgm496_dktuhs_sipext", title: langs.getText("common","sip_phone"), tr: [{label: langs.getText("common","sip_phone")}, {name: "DKTUHS_SIPEXT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","sip_phone")}, {name: "DKTUHS_TXSIPEXT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm496_dktuhs_dkths", title: langs.getText("common","dkths"), tr: [{label: langs.getText("common","dkths")}, {name: "DKTUHS_DKTHS", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","dkths")}, {name: "DKTUHS_TXDKTHS", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm496_dktuhs_dkthf", title: langs.getText("common","dkthf"), tr: [{label: langs.getText("common","dkthf")}, {name: "DKTUHS_DKTHF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","dkthf")}, {name: "DKTUHS_TXDKTHF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm496_dktuhs_wit", title: langs.getText("common","wit_phone"), tr: [{label: langs.getText("common","wit_phone")}, {name: "DKTUHS_WIT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","wit_phone")}, {name: "DKTUHS_TXWIT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]}
		]}
	]}
);
