if (info.SYSTEM_ID == "iPECS eMG80" || info.SYSTEM_ID == "iPECS eMG100" || info.SYSTEM_ID == "iPECS eMG800") {
	var dipinfo = {key: "pgm102_dip4status", title: langs.getText("p102","dip2status"), contents: [{text: langs.getText("p102","dip2status") + " : "}, {name:"DIP4STATUS", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", show: 0}]};
} else {
	var dipinfo = {key: "pgm102_dip4status", title: langs.getText("p102","dip4status"), contents: [{text: langs.getText("p102","dip4status") + " : "}, {name:"DIP4STATUS", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", show: 0}]};
}

if (info.SYSTEM_ID == "vUCP") {
	var chk_changeip = 0;
} else {
	var chk_changeip = 1;
}

if(info.PHASE >= 5.0) {
	var p102_ipv6enable = {key: "p102_ipv6enable", title: langs.getText("common","ipv6enable"), tr:[{chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","ipv6enable")}, {name:"IPV6ENABLE", value: "", select: [{value: "0", option: langs.getText("common","opt_no")}, {value: "1", option: langs.getText("common","opt_yes")}], message: "", cont: 0}]};
	var p102_systemv6ip =	{key: "p102_systemv6ip", title: langs.getText("common","sysv6ip"), tr:[{chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","sysv6ip")}, {name:"SYSV6IP", value: "", textfield: [{max: 40}], message: "", cont: 0}]};
	var p102_systemv6gw =	{key: "p102_systemv6gw", title: langs.getText("common","sysv6gw"), tr:[{chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","sysv6gw")}, {name:"SYSV6GW", value: "", textfield: [{max: 40}], message: "", cont: 0}]};
	var p102_systemv6netp =	{key: "p102_systemv6netp", title: langs.getText("common","sysv6netp"), tr:[{chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","sysv6netp")}, {name:"SYSV6NETP", value: "", textfield: [{max: 5}], message: "", cont: 0}]};
	var p102_slaav6info =	{key: "p102_slaav6info", title: langs.getText("common","sysv6slaac"), th: [{label: langs.getText("common","sysv6slaac"), colspan: 3}, {label: " : ", cont: 1}, {name: "SYSV6SLAAC", value:"", label: 1, cont: 1}]};
} else {
	var p102_ipv6enable =	{};
	var p102_systemv6ip =	{};
	var p102_systemv6gw =	{};
	var p102_systemv6netp =	{};
	var p102_slaav6info =	{};
}

if(info.PHASE >= 2.1) {
	var p102_ddns_firewallupdate = {key: "pgm102_firewall_ddns", title: langs.getText("p102","firewall_ddns"), tr: [{chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p102","firewall_ddns")}, {name:"FIREWALL_DDNSBIT", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: ""},{name:"FIREWALL_DDNSTIME", value: "", textfield:[{max: 3,size: 4}], message: "", cont: 1}, {label: "("+langs.getText("common","cmt_minute")+", 1-127)", cont: 1}, {br: 1, cont: 1}, {label: langs.getText("p102","cmt_ddns_firewall"), cont: 1}]};
	var p102_ddns_firewalldn = {key: "pgm102_firewall_dn", title: langs.getText("p102","firewall_dn"), tr: [{chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p102","firewall_dn")}, {name:"FIREWALL_DN", value: "", textfield:[{max: 99, size: 50}], message: ""}, {br: 1, cont: 1}, {label: langs.getText("p160","cmt_mailsv2"), cont: 1}]};
} else {
	var p102_ddns_firewallupdate = {};
	var p102_ddns_firewalldn = {};
}

define(
    {elements:[
        {name:"tab1", tab: [
            {key: "pgm102_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
            dipinfo,
            {key: "pgm102_sysip_tbl", title: langs.getText("common","mktbl"), table: [{name: "CHKFLAG", value: "", check_flag: 1}, {btn: langs.getText("common","btn_chkall"), btn_type: "btn_checkall"}, {label: langs.getText("common","attr")}, {label: langs.getText("common","val")}]},
            {key: "pgm102_mfimdhcp", title: langs.getText("p102","mfimdhcp"), tr: [{chk_type: "chk_checkall", chk: chk_changeip}, {label: langs.getText("p102","mfimdhcp")}, {name:"MFIMDHCP", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: ""}]},
            {key: "pgm102_mfipadd1", title: langs.getText("p102","mfipadd1"), tr: [{chk_type: "chk_checkall", chk: chk_changeip}, {label: langs.getText("p102","mfipadd1")}, {name:"MFIPADD1", value: "", textfield: [{max: 15}], message: ""}]},
				{key: "pgm102_mfipmac1", title: langs.getText("p102","mfipmac1"), tr: [{chk_type: "chk_checkall", chk: chk_changeip}, {label: langs.getText("p102","mfipmac1")}, {name:"MFIPMAC1", value: "", textfield: [{max: 15}], message: ""}]},
            {key: "pgm102_netmask1", title: langs.getText("p102","netmask1"), tr: [{chk_type: "chk_checkall", chk: 0}, {label: langs.getText("p102","netmask1")}, {name:"NETMASK1", value: "", textfield: [{max: 15}], message: ""}]},
            {key: "pgm102_routip1", title: langs.getText("common","router_ipaddr"), tr: [{chk_type: "chk_checkall", chk: chk_changeip}, {label: langs.getText("common","router_ipaddr")}, {name:"ROUTIP1", value: "", textfield: [{max: 15}], message: ""}]},
            {key: "pgm102_clientip", title: langs.getText("p102","clientip"), tr: [{chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p102","clientip")}, {name:"CLIENTIP_START", value: "", textfield: [{max: 15}], message: ""}, {label: " - ", cont: 1}, {name:"CLIENTIP_END", value: "", textfield: [{max: 15}], message: "", cont: 1}]},
            {key: "pgm102_clientnetmask1", title: langs.getText("p102","clientnetmask1"), tr: [{chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p102","clientnetmask1")}, {name:"CLIENTNETMASK1", value: "", textfield: [{max: 15}], message: ""}]},
            {key: "pgm102_autoip", title: langs.getText("p102","autoip"), tr: [{chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p102","autoip")}, {name:"AUTOIP", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: ""}]},
            {key: "pgm102_scnd_ipaddr", title: langs.getText("p102","scnd_ipaddr"), tr: [{chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p102","scnd_ipaddr")}, {name:"SCND_IPADDR", value: "", textfield: [{max: 15}], message: ""}]},
            {key: "pgm102_scnd_netamsk", title: langs.getText("p102","scnd_netamsk"), tr: [{chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p102","scnd_netamsk")}, {name:"SCND_NETMASK", value: "", textfield: [{max: 15}], message: ""}]},
            {key: "pgm102_firewall", title: langs.getText("common","firewall_addr"), tr: [{chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","firewall_addr")}, {name:"FIREWALL", value: "", textfield:[{max: 15}], message: ""}]},
				p102_ddns_firewallupdate,
				p102_ddns_firewalldn,
            {key: "pgm102_firstmac", title: langs.getText("p102","firstmac"), tr: [{chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p102","firstmac")}, {name:"FIRSTMAC_START", value: "", textfield: [{max: 12}], message: ""}, {label: " - ", cont: 1}, {name:"FIRSTMAC_End", value: "", textfield: [{max: 12}], message: "", cont: 1}]},
            {key: "pgm102_scndmac", title: langs.getText("p102","scndmac"), tr: [{chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p102","scndmac")}, {name:"SCNDMAC_START", value: "", textfield: [{max: 12}], message: ""}, {label: " - ", cont: 1}, {name:"SCNDMAC_End", value: "", textfield: [{max: 12}], message: "", cont: 1}]},
            {key: "pgm102_dnsaddr", title: langs.getText("p102","dnsaddr"), tr: [{chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p102","dnsaddr")}, {name:"DNSADDR", value: "", textfield: [{max: 15}], message: ""}]},
			p102_ipv6enable,
			p102_systemv6ip,
			p102_systemv6gw,
			p102_systemv6netp,
			p102_slaav6info
        ]}
    ]}
);
