if(info.MAX_TDM_GAIN_TBL) {
	var gaintbl_range_guide = "1-"+info.MAX_TDM_GAIN_TBL;
}

if(info.MAX_TONE_TABLE) {
	var tonetbl_range_guide = "1-"+info.MAX_TONE_TABLE;
}

if(info.LCR_MAX_LDT_TBL) {
	var ldttbl_range_guide = "0-"+info.LCR_MAX_LDT_TBL;
}

if(info.MAX_DITRANCLASS_NO) {
	var dtranstbl_range_guide = "1-"+info.MAX_DITRANCLASS_NO;
}

if(info.NO_OF_ICM_GRPS) {
	var icmgrp_range_guide = "0-"+info.NO_OF_ICM_GRPS;
}

if (info.SYSTEM_ID == "iPECS eMG80" || info.SYSTEM_ID == "iPECS eMG800") {
	var v_1 = {value: "1", option: langs.getText("common","internal_music")};
	var v_2 = {value: "2", option: langs.getText("common","extmusic")};
} else {
	var v_1 = {value: "1", option: langs.getText("common","intext_music")+"1"};
	var v_2 = {value: "2", option: langs.getText("common","extmusic")+"2"};
}
if (info.SYSTEM_ID == "iPECS eMG80" || info.SYSTEM_ID == "iPECS eMG100" || info.SYSTEM_ID == "iPECS eMG800") {
	if (info.SYSTEM_ID == "iPECS eMG80" || info.SYSTEM_ID == "iPECS eMG100"){
	var v_4 = {label: "0-140"};
	var v_5 = {label: "1-15"};
	}
	else{
	var v_4 = {label: "0-1200"};
	var v_5 = {label: "1-32"};
	}
} else {
	var v_4 = {label: "0-2400"};
	var v_5 = {label: "1-100"};
}

if(info.PHASE >= 2.1) {
	var p111_busyled = {key: "pgm111_busyled", title: langs.getText("p111","busyled"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","busyled")}, {name:"BUSYLED", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]};
	var p111_mediaoption = {key: "p111_mediaoption", title: langs.getText("p111","mediaoption"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","mediaoption")}, {name:"MEDIAOPTION", value:"", select:[{value: "0", option: langs.getText("common","opt_audio")}, {value: "1", option: langs.getText("common","opt_vedio")}], message: "", cont: 0}, {label: ""}]};
} else {
	var p111_busyled  = {};
	var p111_mediaoption  = {};
}
if(info.PHASE >= 3.0) {
		  var p111_iptouc = {key: "pgm111_iptouc", title: langs.getText("p111","iptouc"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","iptouc")}, {name:"IPTOUC", value: "", textfield: [{max: 3}], message: "", cont: 0}, v_5]};
} else {
		  var p111_iptouc = {};
}

if(info.PHASE >= 4.0) {
		  var p111_prvmobstn = {key: "pgm111_prvmobstn", title: langs.getText("p111","prvmobstn"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","prvmobstn")}, {name:"PRVMOBSTN", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]};
} else {
		  var p111_prvmobstn = {};
}

if(info.PHASE >= 4.0) {
		var p111_sctransferonly = {key: "pgm111_sctrans", title: langs.getText("p111","sctrans"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","sctrans")}, {name:"SCTRANS", value:"", select:[{value: "0", option: langs.getText("p111","opt_trans")}, {value: "1", option: langs.getText("p111","opt_recall")}], message: "", cont: 0}, {label: ""}]};
		var callcontrol = {key: "pgm111_callcontrol", title: langs.getText("p111","callcontrol"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","callcontrol")}, {name:"CALLCONTROL", value:"", select:[{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]};
		var tapicallcontrol = {key: "pgm111_tapicallcontrol", title: langs.getText("p111","tapicallcontrol"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","tapicallcontrol")}, {name:"TAPICALLCONTROL", value:"", select:[{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]};
		var blockxfercall = {key: "pgm111_blockxfercall", title: langs.getText("p111","blockxfercall"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","blockxfercall")}, {name:"BLOCKXFERCALL", value:"", select:[{value: "0", option: langs.getText("p111","opt_allowall")}, {value: "1", option: langs.getText("p111","opt_blockboth")}, {value: "2", option: langs.getText("p111","opt_blockco")}, {value: "3", option: langs.getText("p111","opt_blockicm")}], message: "", cont: 0}, {label: ""}]};
     	var p111_blfsvc = {key: "pgm111_blfsvc", title: langs.getText("p111","blfsvc"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","blfsvc")}, {name:"BLFSVC", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]};

} else {
		var p111_sctransferonly = {};
		var callcontrol = {};
		var tapicallcontrol = {};
		var blockxfercall = {};
		var p111_blfsvc = {};
}

if(info.PHASE >= 4.1) {
	var p111_idleonhold = {key: "p111_idleonhold", title: langs.getText("p111","idleonhold"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","idleonhold")}, {name:"IDLEONHOLD", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]};

        var p111_stn_dtone_type = {key: "pgm111_dialtnsrc", title: langs.getText("p111","dialtnsrc"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","dialtnsrc")}, {name:"DIALTNSRC", value: "", select: [{value: "0", option: langs.getText("common","dial_tone")}, v_1, v_2, {value: "3", option: langs.getText("common","vsf_moh")}, {value: "4", option: langs.getText("common","slt_moh")+"1"}, {value: "5", option: langs.getText("common","slt_moh")+"2"}, {value: "6", option: langs.getText("common","slt_moh")+"3"}, {value: "7", option: langs.getText("common","slt_moh")+"4"}, {value: "8", option: langs.getText("common","slt_moh")+"5"}, {value: "9", option: langs.getText("common","vsf_moh")+"2"}, {value: "10", option: langs.getText("common","vsf_moh")+"3"}, {value: "11", option: langs.getText("common","vsf_moh")+"4"}, {value: "12", option: langs.getText("common","vsf_moh")+"5"}, {value: "13", option: langs.getText("common","vsf_moh")+"6"}, {value: "14", option: langs.getText("common","vsf_moh")+"7"}, {value: "15", option: langs.getText("common","vsf_moh")+"8"}, {value: "16", option: langs.getText("common","vsf_moh")+"9"}, {value: "17", option: langs.getText("common","vsf_moh")+"10"}, {value: "18", option: langs.getText("common","vsf_moh")+"11"}, {value: "19", option: langs.getText("common","vsf_moh")+"12"}, {value: "20", option: langs.getText("common","vsf_moh")+"13"}, {value: "21", option: langs.getText("common","vsf_moh")+"14"}, {value: "22", option: langs.getText("common","vsf_moh")+"15"}, {value: "23", option: langs.getText("common","vsf_moh")+"16"}, {value: "24", option: langs.getText("common","vsf_moh")+"17"}, {value: "25", option: langs.getText("common","vsf_moh")+"18"}, {value: "26", option: langs.getText("common","vsf_moh")+"19"}, {value: "27", option: langs.getText("common","vsf_moh")+"20"}, {value: "28", option: langs.getText("common","vsf_moh")+"21"}, {value: "29", option: langs.getText("common","vsf_moh")+"22"}, {value: "30", option: langs.getText("common","vsf_moh")+"23"}, {value: "31", option: langs.getText("common","vsf_moh")+"24"}, {value: "32", option: langs.getText("common","vsf_moh")+"25"}, {value: "33", option: langs.getText("common","vsf_moh")+"26"}, {value: "34", option: langs.getText("common","vsf_moh")+"27"}, {value: "35", option: langs.getText("common","vsf_moh")+"28"}, {value: "36", option: langs.getText("common","vsf_moh")+"29"}, {value: "37", option: langs.getText("common","vsf_moh")+"30"}], message: "", cont: 0}, {label: ""}]};
        var p111_stn_rtone_type = {key: "pgm111_rbtnsrc", title: langs.getText("p111","rbtnsrc"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","rbtnsrc")}, {name:"RBTNSRC", value: "", select: [{value: "0", option: langs.getText("common","ringback_tone")}, v_1, v_2, {value: "3", option: langs.getText("common","vsf_moh")}, {value: "4", option: langs.getText("common","slt_moh")+"1"}, {value: "5", option: langs.getText("common","slt_moh")+"2"}, {value: "6", option: langs.getText("common","slt_moh")+"3"}, {value: "7", option: langs.getText("common","slt_moh")+"4"}, {value: "8", option: langs.getText("common","slt_moh")+"5"}, {value: "9", option: langs.getText("common","vsf_moh")+"2"}, {value: "10", option: langs.getText("common","vsf_moh")+"3"}, {value: "11", option: langs.getText("common","vsf_moh")+"4"}, {value: "12", option: langs.getText("common","vsf_moh")+"5"}, {value: "13", option: langs.getText("common","vsf_moh")+"6"}, {value: "14", option: langs.getText("common","vsf_moh")+"7"}, {value: "15", option: langs.getText("common","vsf_moh")+"8"}, {value: "16", option: langs.getText("common","vsf_moh")+"9"}, {value: "17", option: langs.getText("common","vsf_moh")+"10"}, {value: "18", option: langs.getText("common","vsf_moh")+"11"}, {value: "19", option: langs.getText("common","vsf_moh")+"12"}, {value: "20", option: langs.getText("common","vsf_moh")+"13"}, {value: "21", option: langs.getText("common","vsf_moh")+"14"}, {value: "22", option: langs.getText("common","vsf_moh")+"15"}, {value: "23", option: langs.getText("common","vsf_moh")+"16"}, {value: "24", option: langs.getText("common","vsf_moh")+"17"}, {value: "25", option: langs.getText("common","vsf_moh")+"18"}, {value: "26", option: langs.getText("common","vsf_moh")+"19"}, {value: "27", option: langs.getText("common","vsf_moh")+"20"}, {value: "28", option: langs.getText("common","vsf_moh")+"21"}, {value: "29", option: langs.getText("common","vsf_moh")+"22"}, {value: "30", option: langs.getText("common","vsf_moh")+"23"}, {value: "31", option: langs.getText("common","vsf_moh")+"24"}, {value: "32", option: langs.getText("common","vsf_moh")+"25"}, {value: "33", option: langs.getText("common","vsf_moh")+"26"}, {value: "34", option: langs.getText("common","vsf_moh")+"27"}, {value: "35", option: langs.getText("common","vsf_moh")+"28"}, {value: "36", option: langs.getText("common","vsf_moh")+"29"}, {value: "37", option: langs.getText("common","vsf_moh")+"30"}], message: "", cont: 0}, {label: ""}]};

	var p111_moh_attr = {key: "pgm111_moh_attr", title: langs.getText("p111","moh_attr"), th: [{order_alphabet: 1}, {label: langs.getText("p111","moh_attr"), colspan: 4}]};
	var p111_moh_ext_dflt = {key: "pgm111_moh_ext_dflt", title: langs.getText("p111","mohextdflt"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","mohextdflt")}, {name: "DFLTMOHEXT", value:"", select: [{value: "0", option: langs.getText("common","refer_zonesysmoh")}, v_1, v_2, {value: "3", option: langs.getText("common","vsf_moh")}, {value: "4", option: langs.getText("common","slt_moh")+"1"}, {value: "5", option: langs.getText("common","slt_moh")+"2"}, {value: "6", option: langs.getText("common","slt_moh")+"3"}, {value: "7", option: langs.getText("common","slt_moh")+"4"}, {value: "8", option: langs.getText("common","slt_moh")+"5"}, {value: "9", option: langs.getText("common","vsf_moh")+"2"}, {value: "10", option: langs.getText("common","vsf_moh")+"3"}, {value: "11", option: langs.getText("common","vsf_moh")+"4"}, {value: "12", option: langs.getText("common","vsf_moh")+"5"}, {value: "13", option: langs.getText("common","vsf_moh")+"6"}, {value: "14", option: langs.getText("common","vsf_moh")+"7"}, {value: "15", option: langs.getText("common","vsf_moh")+"8"}, {value: "16", option: langs.getText("common","vsf_moh")+"9"}, {value: "17", option: langs.getText("common","vsf_moh")+"10"}, {value: "18", option: langs.getText("common","vsf_moh")+"11"}, {value: "19", option: langs.getText("common","vsf_moh")+"12"}, {value: "20", option: langs.getText("common","vsf_moh")+"13"}, {value: "21", option: langs.getText("common","vsf_moh")+"14"}, {value: "22", option: langs.getText("common","vsf_moh")+"15"}, {value: "23", option: langs.getText("common","vsf_moh")+"16"}, {value: "24", option: langs.getText("common","vsf_moh")+"17"}, {value: "25", option: langs.getText("common","vsf_moh")+"18"}, {value: "26", option: langs.getText("common","vsf_moh")+"19"}, {value: "27", option: langs.getText("common","vsf_moh")+"20"}, {value: "28", option: langs.getText("common","vsf_moh")+"21"}, {value: "29", option: langs.getText("common","vsf_moh")+"22"}, {value: "30", option: langs.getText("common","vsf_moh")+"23"}, {value: "31", option: langs.getText("common","vsf_moh")+"24"}, {value: "32", option: langs.getText("common","vsf_moh")+"25"}, {value: "33", option: langs.getText("common","vsf_moh")+"26"}, {value: "34", option: langs.getText("common","vsf_moh")+"27"}, {value: "35", option: langs.getText("common","vsf_moh")+"28"}, {value: "36", option: langs.getText("common","vsf_moh")+"29"}, {value: "37", option: langs.getText("common","vsf_moh")+"30"}], message: "", cont: 0}, {label: ""}]};
        var p111_moh_int_dflt = {key: "pgm111_moh_int_dflt", title: langs.getText("p111","mohintdflt"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","mohintdflt")}, {name: "DFLTMOHINT", value:"", select: [{value: "0", option: langs.getText("common","refer_zonesysmoh")}, v_1, v_2, {value: "3", option: langs.getText("common","vsf_moh")}, {value: "4", option: langs.getText("common","slt_moh")+"1"}, {value: "5", option: langs.getText("common","slt_moh")+"2"}, {value: "6", option: langs.getText("common","slt_moh")+"3"}, {value: "7", option: langs.getText("common","slt_moh")+"4"}, {value: "8", option: langs.getText("common","slt_moh")+"5"}, {value: "9", option: langs.getText("common","vsf_moh")+"2"}, {value: "10", option: langs.getText("common","vsf_moh")+"3"}, {value: "11", option: langs.getText("common","vsf_moh")+"4"}, {value: "12", option: langs.getText("common","vsf_moh")+"5"}, {value: "13", option: langs.getText("common","vsf_moh")+"6"}, {value: "14", option: langs.getText("common","vsf_moh")+"7"}, {value: "15", option: langs.getText("common","vsf_moh")+"8"}, {value: "16", option: langs.getText("common","vsf_moh")+"9"}, {value: "17", option: langs.getText("common","vsf_moh")+"10"}, {value: "18", option: langs.getText("common","vsf_moh")+"11"}, {value: "19", option: langs.getText("common","vsf_moh")+"12"}, {value: "20", option: langs.getText("common","vsf_moh")+"13"}, {value: "21", option: langs.getText("common","vsf_moh")+"14"}, {value: "22", option: langs.getText("common","vsf_moh")+"15"}, {value: "23", option: langs.getText("common","vsf_moh")+"16"}, {value: "24", option: langs.getText("common","vsf_moh")+"17"}, {value: "25", option: langs.getText("common","vsf_moh")+"18"}, {value: "26", option: langs.getText("common","vsf_moh")+"19"}, {value: "27", option: langs.getText("common","vsf_moh")+"20"}, {value: "28", option: langs.getText("common","vsf_moh")+"21"}, {value: "29", option: langs.getText("common","vsf_moh")+"22"}, {value: "30", option: langs.getText("common","vsf_moh")+"23"}, {value: "31", option: langs.getText("common","vsf_moh")+"24"}, {value: "32", option: langs.getText("common","vsf_moh")+"25"}, {value: "33", option: langs.getText("common","vsf_moh")+"26"}, {value: "34", option: langs.getText("common","vsf_moh")+"27"}, {value: "35", option: langs.getText("common","vsf_moh")+"28"}, {value: "36", option: langs.getText("common","vsf_moh")+"29"}, {value: "37", option: langs.getText("common","vsf_moh")+"30"}], message: "", cont: 0}, {label: ""}]};
	var p111_moh_ovr_cpn = {key: "pgm111_moh_ovr_cpn", title: langs.getText("p111","mohovrcpn"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","mohovrcpn")}, {name:"OVRMOHEXTCPN", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]};
	var p111_moh_ovr_col = {key: "pgm111_moh_ovr_col", title: langs.getText("p111","mohovrcol"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","mohovrcol")}, {name:"OVRMOHEXTCOL", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]};
	var p111_moh_flw_mzon = {key: "pgm111_moh_flw_mzon", title: langs.getText("p111","mohflwmzon"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","mohflwmzon")}, {name:"FLWMOHMYZON", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]};
	var p111_moh_flw_msys = {key: "pgm111_moh_flw_msys", title: langs.getText("p111","mohflwmsys"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","mohflwmsys")}, {name:"FLWMOHMYSYS", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]};
} else {
	var p111_idleonhold  = {};

        var p111_stn_dtone_type = {key: "pgm111_dialtnsrc", title: langs.getText("p111","dialtnsrc"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","dialtnsrc")}, {name:"DIALTNSRC", value: "", select: [{value: "0", option: langs.getText("common","dial_tone")}, v_1, v_2, {value: "3", option: langs.getText("common","vsf_moh")}, {value: "4", option: langs.getText("common","slt_moh")+"1"}, {value: "5", option: langs.getText("common","slt_moh")+"2"}, {value: "6", option: langs.getText("common","slt_moh")+"3"}, {value: "7", option: langs.getText("common","slt_moh")+"4"}, {value: "8", option: langs.getText("common","slt_moh")+"5"}, {value: "9", option: langs.getText("common","vsf_moh")+"2"}, {value: "10", option: langs.getText("common","vsf_moh")+"3"}], message: "", cont: 0}, {label: ""}]};
        var p111_stn_rtone_type = {key: "pgm111_rbtnsrc", title: langs.getText("p111","rbtnsrc"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","rbtnsrc")}, {name:"RBTNSRC", value: "", select: [{value: "0", option: langs.getText("common","ringback_tone")}, v_1, v_2, {value: "3", option: langs.getText("common","vsf_moh")}, {value: "4", option: langs.getText("common","slt_moh")+"1"}, {value: "5", option: langs.getText("common","slt_moh")+"2"}, {value: "6", option: langs.getText("common","slt_moh")+"3"}, {value: "7", option: langs.getText("common","slt_moh")+"4"}, {value: "8", option: langs.getText("common","slt_moh")+"5"}, {value: "9", option: langs.getText("common","vsf_moh")+"2"}, {value: "10", option: langs.getText("common","vsf_moh")+"3"}], message: "", cont: 0}, {label: ""}]};

        var p111_moh_attr = {};
	var p111_moh_ext_dflt = {};
	var p111_moh_int_dflt = {};
	var p111_moh_ovr_cpn = {};
	var p111_moh_ovr_col = {};
	var p111_moh_flw_mzon = {};
	var p111_moh_flw_msys = {};
}


var p111_pagestop = {key: "pgm111_pagestop", title: langs.getText("p111","pagestop"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","pagestop")}, {name:"PAGESTOP", value:"", select:[{value: "0", option: langs.getText("p111","opt_caller")}, {value: "1", option: langs.getText("p111","opt_annc")}], message: "", cont: 0}, {label: ""}]};

define(
    {elements:[
        {name:"tab1", tab: [
            {key: "pgm111_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}, {label: ""}]},
            {key: "pgm111_preload", preload: [{name: "RANGE_TYPE_1", range_type: 1}, {text: langs.getText("common","enter_stnrange")+" : "}, {name: "RANGE_1_1", value: "", textfield: [{max: 40, size: 50}], message: "", help: langs.re_toolTip()}, {btn: langs.getText("common","load"), btn_type: "btn_load"}, langs.Range_Error_Table(), {endload: 1}, {br: 2}, {text: langs.getText("common","stnrange")+" "}, {name: "RANGE_VIEW_1", value: "", text: 1}]},
            {key: "pgm111_mktbl", title: langs.getText("common","mktbl"), table: [{name: "CHKFLAG", value: "", check_flag: 1}, {label: langs.getText("common","order"), sort: "num"}, {btn: langs.getText("common","btn_chkall"), btn_type: "btn_checkall"}, {label: langs.getText("common","attr"), sort: "str"}, {label: langs.getText("common","val")}, {label: langs.getText("common","range")}]},
            {key: "pgm111_basic_attr", title: langs.getText("common2","basic_attr"), th: [{order_alphabet: 1}, {label: langs.getText("common2","basic_attr"), colspan: 4}]},
            {key: "pgm111_admin", title: langs.getText("p111","admin"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","admin")}, {name:"ADMIN", value: "", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_copgm", title: langs.getText("p111","copgm"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","copgm")}, {name:"COPGM", value: "", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_autohold", title: langs.getText("p111","autohold"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","autohold")}, {name:"AUTOHOLD", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_autoxfer", title: langs.getText("p111","autoxfer"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","autoxfer")}, {name:"AUTOXFER", value: "", select: [{value: "0", option: langs.getText("p111","opt_auto_xfer_off")}, {value: "1", option: langs.getText("p111","opt_auto_xfer_all")}, {value: "2", option: langs.getText("p111","opt_auto_xfer_nontrk")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_axfercmp", title: langs.getText("p111","axfercmp"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","axfercmp")}, {name:"AXFERCMP", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_cola", title: langs.getText("p111","cola"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","cola")}, {name:"COLA", value: "", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_colqe", title: langs.getText("p111","colqe"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","colqe")}, {name:"COLQE", value: "", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_rlp", title: langs.getText("p111","rlp"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","rlp")}, {name:"RLP", value: "", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_speedda", title: langs.getText("p111","speedda"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","speedda")}, {name:"SPEEDDA", value: "", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_alarm", title: langs.getText("p111","alarm"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","alarm")}, {name:"ALARM", value: "", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_staacct", title: langs.getText("p111","staacct"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","staacct")}, {name:"STAACCT", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_forceac", title: langs.getText("p111","forceac"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","forceac")}, {name:"FORCEAC", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_lcracc", title: langs.getText("p111","lcracc"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","lcracc")}, {name:"LCRACC", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_dooropen", title: langs.getText("common","dooropen"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","dooropen")}, {name:"DOOROPEN", value: "", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_flexbtnpgm", title: langs.getText("p111","flexbtnpgm"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","flexbtnpgm")}, {name:"FLEXBTNPGM", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_prefercog", title: langs.getText("p111","prefercog"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","prefercog")}, {name:"PREFERCOG", value: "", textfield: [{max: 6}], message: "", cont: 0}, {label: langs.getText("common","acc_code")}]},
            {key: "pgm111_emergencycog", title: langs.getText("p111","emergencycog"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","emergencycog")}, {name:"EMERGENCYCOG", value: "", textfield: [{max: 6}], message: "", cont: 0}, {label: langs.getText("common","acc_code")}]},
            {key: "pgm111_acticmgrp", title: langs.getText("p111","acticmgrp"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","acticmgrp")}, {name:"ACTICMGRP", value: "", textfield: [{max: 3}], message: "", cont: 0}, {label: icmgrp_range_guide}]},
            {key: "pgm111_cocrt", title: langs.getText("p111","cocrt"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","cocrt")}, {name:"COCRT", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_proctmonit", title: langs.getText("p111","proctmonit"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","proctmonit")}, {name:"PROCTMONIT", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_disccostdis", title: langs.getText("p111","disccostdis"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","disccostdis")}, {name:"DISCCOSTDIS", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_actpttgrp", title: langs.getText("p111","actpttgrp"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","actpttgrp")}, {name:"ACTPTTGRP", value: "", textfield: [{max: 1}], message: "", cont: 0}, {label: "0-9"}]},
            {key: "pgm111_dummstn", title: langs.getText("p111","dummstn"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","dummstn")}, {name:"DUMMSTN", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_smdrhdd", title: langs.getText("p111","smdrhdd"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","smdrhdd")}, {name:"SMDRHDD", value: "", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_msgexec", title: langs.getText("p111","msgexec"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","msgexec")}, {name:"MSGEXEC", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_weblevel", title: langs.getText("p111","weblevel"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","weblevel")}, {name:"WEBLEVEL", value: "", select: [{value: "1", option: langs.getText("p111","opt_weblevel_lev")+" 1"}, {value: "2", option: langs.getText("p111","opt_weblevel_lev")+" 2"}, {value: "3", option: langs.getText("p111","opt_weblevel_lev")+" 3"}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_pagemode", title: langs.getText("p111","pagemode"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","pagemode")}, {name:"PAGEMODE", value: "", select: [{value: "1", option: langs.getText("common","speaker")}, {value: "2", option: langs.getText("common","hdset")}, {value: "3", option: langs.getText("common","opt_both")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_prgid", title: langs.getText("p111","prgid"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","prgid")}, {name:"PRGID", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_audio", title: langs.getText("p111","audio"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","audio")}, {name:"AUDIO", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_pkupbybtn", title: langs.getText("p111","pkupbybtn"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","pkupbybtn")}, {name:"PKUPBYBTN", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_prepaid", title: langs.getText("common","prepaid"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","prepaid")}, {name:"PREPAID", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_prepaid2", title: langs.getText("common","prepaid2"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","prepaid2")}, {name:"PREPAID2", value: "", textfield: [{max: 6}], message: "", cont: 0}, {name:"PREPAID3", value: "", textfield: [{max: 6}], message: "", cont: 1}, {label: ""}]},
            {key: "pgm111_sipuidtblidx", title: langs.getText("common","sip_usrtbl_index"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","sip_usrtbl_index")}, {name:"SIPUIDTBLIDX", value: "", textfield: [{max: 4}], message: "", cont: 0}, v_4]},
            {key: "pgm111_sipuidtblidx2", title: langs.getText("common","sip_usrtbl_index")+" 2", tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","sip_usrtbl_index")+" 2"}, {name:"SIPUIDTBLIDX2", value: "", textfield: [{max: 4}], message: "", cont: 0}, v_4]},
            {key: "pgm111_sipuidtblidx3", title: langs.getText("common","sip_usrtbl_index")+" 3", tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","sip_usrtbl_index")+" 3"}, {name:"SIPUIDTBLIDX3", value: "", textfield: [{max: 4}], message: "", cont: 0}, v_4]},
            {key: "pgm111_weblang", title: langs.getText("p111","weblang"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","weblang")}, {name:"WEBLANG", value: "", select: [{value: "0", option: langs.getText("common","opt_lang_eng")}, {value: "1", option: langs.getText("common","top_menu_chlang_loc")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_lefthandset", title: langs.getText("p111","lefthandset"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","lefthandset")}, {name:"LEFTHANDSET", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_privacy", title: langs.getText("p111","privacy"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","privacy")}, {name:"PRIVACY", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_ccblock", title: langs.getText("p111","ccblock"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","ccblock")}, {name:"CCBLOCK", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
        p111_busyled,
		p111_blfsvc,
        p111_pagestop,
        p111_iptouc,
	    p111_mediaoption,
	    p111_idleonhold,

	    {key: "p111_emgcycoarea", title: langs.getText("p111","emgcycoarea"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","emgcycoarea")}, {name:"EMGCYCOAREA", value:"", select:[{value: "0", option: langs.getText("common","fw_hdskagent")}, {value: "1", option: langs.getText("common","fw_hdskdummy")}], message: "", cont: 0}, {label: ""}]},
	    {key: "p111_hdskpgwhwo", title: langs.getText("p111","hdskpgwhwo"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","hdskpgwhwo")}, {name:"HDSKPGWHWO", value:"", select:[{value: "0", option: langs.getText("common","fw_hdskagent")}, {value: "1", option: langs.getText("common","fw_hdskdummy")}], message: "", cont: 0}, {label: ""}]},
	    {key: "p111_pgdtmfackok", title: langs.getText("p111","pgdtmfackok"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","pgdtmfackok")}, {name:"PGDTMFACKOK", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_ccvr_attr", title: langs.getText("p111","ccvr_attr"), th: [{order_alphabet: 1}, {label: langs.getText("p111","ccvr_attr"), colspan: 4}]},
            {key: "pgm111_ccmode", title: langs.getText("common","call_cover_mode"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","call_cover_mode")}, {name:"CCMODE", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_dlyrc", title: langs.getText("p111","dlyrc"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","dlyrc")}, {name:"DLYRC", value: "", textfield: [{max: 2}], message: "", cont: 0}, {label: "0-15"}]},
            {key: "pgm111_ccbusy", title: langs.getText("p111","ccbusy"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","ccbusy")}, {name:"CCBUSY", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_ccmobs", title: langs.getText("p111","ccmobs"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","ccmobs")}, {name:"CCMOBS", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_ccicmb", title: langs.getText("p111","ccicmb"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","ccicmb")}, {name:"CCICMB", value: "", select: [{value: "0", option: langs.getText("p111","opt_ccicmb_extonly")}, {value: "1", option: langs.getText("p111","opt_ccicmb_extint")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_ccmdly", title: langs.getText("p111","ccmdly"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","ccmdly")}, {name:"CCMDLY", value: "", select: [{value: "0", option: langs.getText("p111","opt_ccmdly_originator")}, {value: "1", option: langs.getText("p111","opt_ccmdly_member")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_ccwkup", title: langs.getText("p111","ccwkup"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","ccwkup")}, {name:"CCWKUP", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_ccrgtp", title: langs.getText("p111","ccrgtp"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","ccrgtp")}, {name:"CCRGTP", value: "", select: [{value: "0", option: langs.getText("common","silence")}, {value: "1", option: langs.getText("p111","opt_ccrgtp_nomalring")}, {value: "2", option: langs.getText("p111","opt_ccrgtp_mutecont")}, {value: "3", option: langs.getText("p111","opt_ccrgtp_muteoneb")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_cconexec", title: langs.getText("p111","cconexec"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","cconexec")}, {name:"CCONEXEC", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_tone_ring_attr", title: langs.getText("p111","tone_ring_attr"), th: [{order_alphabet: 1}, {label: langs.getText("p111","tone_ring_attr"), colspan: 4}]},
            {key: "pgm111_cowt", title: langs.getText("p111","cowt"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","cowt")}, {name:"COWT", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_campontn", title: langs.getText("p111","campontn"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","campontn")}, {name:"CAMPONTN", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
	    p111_stn_dtone_type,
	    p111_stn_rtone_type,
            {key: "pgm111_offhkrt", title: langs.getText("common","offhkrt"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","offhkrt")}, {name:"OFFHKRT", value: "", select: [{value: "0", option: langs.getText("common","opt_burst")}, {value: "1", option: langs.getText("common","mute")}, {value: "2", option: langs.getText("p111","opt_offhkrt_reftosys")}, {value: "3", option: langs.getText("common","silence")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_sipcoloring", title: langs.getText("p111","sipcoloring"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","sipcoloring")}, {name:"SIPCOLORING", value: "", textfield: [{max: 8}], message: "", cont: 0}, {label: langs.getText("common","grp_num")}]},
            {key: "pgm111_tonetbl", title: langs.getText("common","tonetbl_index"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","tonetbl_index")}, {name:"TONETBL", value:"", textfield:[{max: 1}], message: "", cont: 0}, {label: tonetbl_range_guide}]},
            {key: "pgm111_gaintbl", title: langs.getText("common","gaintbl_index"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","gaintbl_index")}, {name:"GAINTBL", value:"", textfield:[{max: 1}], message: "", cont: 0}, {label: gaintbl_range_guide}]},
            {key: "pgm111_dtranstbl", title: langs.getText("common","dtranstbl"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","dtranstbl")}, {name:"DTRANSTBL", value:"", textfield:[{max: 2}], message: "", cont: 0}, {label: dtranstbl_range_guide}]},
            {key: "pgm111_repeatdtmf", title: langs.getText("p111","repeatdtmf"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","repeatdtmf")}, {name:"RPTDTMF", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_routing_attr", title: langs.getText("p111","routing_attr"), th: [{order_alphabet: 1}, {label: langs.getText("p111","routing_attr"), colspan: 4}]},
            {key: "pgm111_callfw", title: langs.getText("common","callfw"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","callfw")}, {name:"CALLFW", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_dnd", title: langs.getText("common","dnd"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","dnd")}, {name:"DND", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_all")}, {value: "2", option: langs.getText("p111","opt_dnd_icmonly")}, {value: "3", option: langs.getText("p111","opt_dnd_coonly")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_offnetfwd", title: langs.getText("p111","offnetfwd"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","offnetfwd")}, {name:"OFFNETFWD", value: "", select: [{value: "0", option: langs.getText("common","opt_enable")}, {value: "1", option: langs.getText("common","opt_disable")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_ucdgrpsvc", title: langs.getText("p111","ucdgrpsvc"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","ucdgrpsvc")}, {name:"UCDGRPSVC", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_ringgrpsvc", title: langs.getText("p111","ringgrpsvc"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","ringgrpsvc")}, {name:"RINGGRPSVC", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_ucdpriority", title: langs.getText("p111","ucdpriority"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","ucdpriority")}, {name:"UCDPRIORITY", value: "", textfield: [{max: 1}], message: "", cont: 0}, {label: "0-9"}]},
            {key: "pgm111_prime", title: langs.getText("p111","prime"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","prime")}, {name:"PRIME", value: "", select: [{value: "0", option: langs.getText("p111","opt_prime_warm")}, {value: "1", option: langs.getText("p111","opt_prime_hot")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_auto_dnd", title: langs.getText("p111","auto_dnd"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","auto_dnd")}, {name:"AUTO_DND", value: "", select: [{value: "255", option: langs.getText("common","opt_none")}, {value: "1", option: "1"}, {value: "2", option: "2"}, {value: "3", option: "3"}, {value: "4", option: "4"}, {value: "5", option: "5"}, {value: "6", option: "6"}, {value: "7", option: "7"}, {value: "8", option: "8"}, {value: "9", option: "9"}, {value: "10", option: "0"}, {value: "11", option: "*"}, {value: "12", option: "#"}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_fakestat", title: "FWD if OOS", tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: "FWD if OOS"}, {name:"FAKESTAT", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_ldttbl", title: langs.getText("common","ldt_tbl_index"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","ldt_tbl_index")}, {name:"LDTTBL", value: "", textfield: [{max: 2}], message: "", cont: 0}, {label: ldttbl_range_guide}]},
			{key: "pgm111_ldtzone", title: langs.getText("common","ldt_zone_no"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","ldt_zone_no")}, {name:"LDTZONE", value: "", textfield: [{max: 3}], message: "", cont: 0}, {label: "1-100"}]},
			{key: "pgm111_callback", title: langs.getText("p111","callback"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","callback")}, {name:"CALLBACK", value: "", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_clickcall", title: langs.getText("p111","clickcall"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","clickcall")}, {name:"CLICKCALL", value: "", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_rccclient", title: langs.getText("p111","rccclient"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","rccclient")}, {name:"RCCCLIENT", value: "", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("p111","opt_lync_2010")}, {value: "2", option: langs.getText("p111","opt_lync_2013")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_msnwait", title: langs.getText("p111","msnwait"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","msnwait")}, {name:"MSNWAIT", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_didrest", title: langs.getText("p111","didrest"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","didrest")}, {name:"DIDREST", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_disarest", title: langs.getText("p111","disarest"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","disarest")}, {name:"DISAREST", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_pmsgdnd", title: langs.getText("p111","pmsgdnd"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","pmsgdnd")}, {name:"PMSGDND", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
	    p111_prvmobstn,
		callcontrol,	
		tapicallcontrol,
            {key: "pgm111_voice_attr", title: langs.getText("p111","voice_attr"), th: [{order_alphabet: 1}, {label: langs.getText("p111","voice_attr"), colspan: 4}]},
            {key: "pgm111_pageacc", title: langs.getText("p111","pageacc"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","pageacc")}, {name:"PAGEACC", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_forcehf", title: langs.getText("p111","forcehf"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","forcehf")}, {name:"FORCEHF", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_grpl", title: langs.getText("p111","grpl"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","grpl")}, {name:"GRPL", value: "", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_overp", title: langs.getText("p111","overp"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","overp")}, {name:"OVERP", value: "", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_voiceov", title: langs.getText("common","voice_over"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","voice_over")}, {name:"VOICEOV", value: "", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_bargein", title: langs.getText("p111","bargein"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","bargein")}, {name:"BARGEIN", value: "", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("p111","opt_bargein_onlymon")}, {value: "2", option: langs.getText("p111","opt_bargein_monjoindis")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_campon", title: langs.getText("p111","campon"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","campon")}, {name:"CAMPON", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm111_vdoor", title: langs.getText("p111","vdoor"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","vdoor")}, {name:"VDOOR", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
			{key: "pgm111_icmbusy", title: langs.getText("p111","icmbusy"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p111","icmbusy")}, {name:"ICMBUSY", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
	    p111_sctransferonly,
		blockxfercall,
	    p111_moh_attr,
	    p111_moh_ext_dflt,
	    p111_moh_int_dflt,
	    p111_moh_ovr_cpn,
	    p111_moh_ovr_col,
	    p111_moh_flw_mzon,
	    p111_moh_flw_msys
        ]}
    ]}
);
