if(info.NO_OF_COLS) {
    var range_guide = " (1 - "+info.NO_OF_COLS+")";
} else {
    var range_guide = "";
}

define(
    {elements:[
        {name:"tab1", tab: [
            {key: "pgm143_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
            {key: "pgm143_preload", preload: [{name: "RANGE_TYPE_1", range_type: 2}, {text: langs.getText("common","enter_corange")+range_guide+" : "}, {name: "RANGE_1_1", value: "", textfield: [{max: 40, size: 50}], message: "", help: langs.re_toolTip()}, {btn: langs.getText("common","load"), btn_type: "btn_load"}, langs.Range_Error_Table(), {endload: 1}, {br: 2}, {text: langs.getText("common","corange")+" "}, {name: "RANGE_VIEW_1", value: "", text: 1}]},
            {key: "pgm143_mktbl", title: langs.getText("common","mktbl"), table: [{name: "CHKFLAG", value: "", check_flag: 1}, {label: langs.getText("common","order")}, {btn: langs.getText("common","btn_chkall"), btn_type: "btn_checkall"}, {label: langs.getText("common","attr"), sort: "str"}, {label: langs.getText("common","val")}, {label: langs.getText("common","range")}]},
            {key: "pgm143_isdn_tei", title: langs.getText("p143","isdn_tei"), tr:[{label: "1"}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p143","isdn_tei")}, {name: "ISDN_TEI", value: "", select: [{value: "0", option: langs.getText("p143","opt_isdn_tei_fix")}, {value: "1", option: langs.getText("p143","opt_isdn_tei_auto")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm143_isdn_sscd", title: langs.getText("p143","isdn_sscd"), tr:[{label: "2"}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p143","isdn_sscd")}, {name: "ISDN_SSCD", value: "", select: [{value: "0", option: langs.getText("common","opt_noserv")}, {value: "1", option: langs.getText("p143","opt_isdn_sscd_cd")}, {value: "2", option: langs.getText("p143","opt_isdn_sscd_cr")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm143_isdn_advise", title: langs.getText("common","aoc"), tr:[{label: "3"}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","aoc")}, {name: "ISDN_ADVISE", value: "", select: [{value: "0", option: langs.getText("common","opt_noserv")}, {value: "1", option: langs.getText("p143","opt_isdn_advise_ita")}, {value: "2", option: langs.getText("common","opt_ncode_fin")}, {value: "3", option: langs.getText("common","opt_ncode_aus")}, {value: "4", option: langs.getText("common","opt_ncode_bel")}, {value: "5", option: langs.getText("p143","opt_isdn_advise_etsi")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm143_isdn_linetype", title: langs.getText("p143","isdn_linetype"), tr:[{label: "4"}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p143","isdn_linetype")}, {name: "ISDN_LINETYPE", value: "", select: [{value: "0", option: "A-Law"}, {value: "1", option: "u-Law"}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm143_isdn_callsubadd", title: langs.getText("p143","isdn_callsubadd"), tr:[{label: "5"}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p143","isdn_callsubadd")}, {name: "ISDN_CALLSUBADD", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm143_isdn_screening", title: langs.getText("p143","isdn_screening"), tr:[{label: "6"}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p143","isdn_screening")}, {name: "ISDN_SCREENING", value: "", select: [{value: "0", option: langs.getText("p143","opt_isdn_screening_upns")}, {value: "1", option: langs.getText("p143","opt_isdn_screening_upp")}, {value: "2", option: langs.getText("p143","opt_isdn_screening_upf")}, {value: "3", option: langs.getText("p143","opt_isdn_screening_np")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm143_isdn_pluscode", title: langs.getText("p143","isdn_pluscode"), tr:[{label: "7"}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p143","isdn_pluscode")}, {name: "ISDN_PLUSCODE", value: "", textfield: [{max: 4, size: 5}], message: "", cont: 0}, {label: langs.getText("common","max4digit")}]},
            {key: "pgm143_isdn_cpinband", title: langs.getText("p143","isdn_cpinband"), tr:[{label: "8"}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p143","isdn_cpinband")}, {name: "ISDN_CPINBAND", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm143_isdn_dcinband", title: langs.getText("p143","isdn_dcinband"), tr:[{label: "9"}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p143","isdn_dcinband")}, {name: "ISDN_DCINBAND", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm143_isdn_disconwinband", title: langs.getText("p143","isdn_disconinband"), tr:[{label: "10"}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p143","isdn_disconinband")}, {name: "ISDN_DISCONINBAND", value: "", select: [{value: "0", option: langs.getText("p143","opt_isdn_ignore_inband_info")}, {value: "1", option: langs.getText("p143","opt_isdn_bypass_inband_info")}, {value: "2", option: langs.getText("p143","opt_isdn_wait_release")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm143_isdn_clocksync", title: langs.getText("p143","isdn_clocksync"), tr:[{label: "11"}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p143","isdn_clocksync")}, {name: "ISDN_CLOCKSYNC", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]}
		]}	
	]}
);
