if(info.MAX_DISA_HUNT_ANNC_ALL) {
    var range_guide = " (1 - "+info.MAX_DISA_HUNT_ANNC_ALL+")";
	 var v_vsf_0 = " (0 - "+info.MAX_DISA_HUNT_ANNC_ALL+", 0: "+langs.getText("common","unused")+")";
} else {
    var range_guide = " (1 - 70)";
    var v_vsf_0 = "(0 - 70"+", 0: "+langs.getText("common","unused")+")";
}

var v_1 = [{value: "0", option: langs.getText("common","not_assigned")}, {value: "1", option: langs.getText("common","info_stn")},	{value: "2", option: langs.getText("common","station_group")}, {value: "3", option: langs.getText("common","system_speed")}, {value: "4", option: langs.getText("common","pabx_trans_sysspd")}, {value: "5", option: langs.getText("common","vsf_annc")}, {value: "6", option: langs.getText("common","vsf_annc_and_dis")}, {value: "7", option: langs.getText("common","networking")}, {value: "8", option: langs.getText("common","opt_confroom")}, {value: "9", option: langs.getText("common","internal_page")}, {value: "10", option: langs.getText("common","ext_page")}, {value: "11", option: langs.getText("common","all_call_page")}, {value: "12", option: langs.getText("common","vm_stagrp")}, {value: "13", option: langs.getText("common","opt_comdir")}, {value: "14", option: langs.getText("common","record_vm_greet")}, {value: "15", option: langs.getText("common","ucs_sys_conf_join")}];

if(info.PHASE >= 4.0) {
	var ext_opt = [{value: "0", option: langs.getText("common","tone")}, {value: "1", option: langs.getText("common","simple_attendant")}, {value: "2", option: langs.getText("common","station_group")}, {value: "3", option: langs.getText("common","vsf_annc")}, {value: "4", option: langs.getText("common","info_stn")}, {value: "5", option: langs.getText("common","system_speed")}, {value: "6", option: langs.getText("common","networking")}, {value: "7", option: langs.getText("common","vm_stagrp")}];
} else {
	var ext_opt = [{value: "0", option: langs.getText("common","tone")}, {value: "1", option: langs.getText("common","simple_attendant")}, {value: "2", option: langs.getText("common","station_group")}, {value: "3", option: langs.getText("common","vsf_annc")}];;
}


if(info.PHASE >= 3.5) {
    var pgm228_ccr_star_button = {key: "pgm228_ccr_star_button", tr:[{order: 1}, {label: langs.getText("p228","ccr_star_button")}, {name:"CCR_STAR_BUTTON", value:"", select:[{value: "0", option: langs.getText("p228","repeat_first_annc")}, {value: "1", option: langs.getText("p228","repeat_curr_annc")}, {value: "2", option: langs.getText("p228","access_mailbox")}], message: "", cont: 0}, {label: ""}, {label: ""}]};
    var pgm228_ccr_sharp_button = {key: "pgm228_ccr_sharp_button", tr:[{order: 1}, {label: langs.getText("p228","ccr_sharp_button")}, {name:"CCR_SHARP_BUTTON", value:"", select:[{value: "0", option: langs.getText("p228","repeat_first_annc")}, {value: "1", option: langs.getText("p228","repeat_curr_annc")}, {value: "2", option: langs.getText("p228","access_mailbox")}], message: "", cont: 0}, {label: ""}, {label: ""}]};

} else {
	var pgm228_ccr_star_button = {};
	var pgm228_ccr_sharp_button = {};
}

if(info.PHASE >= 4.1) {
    var pgm228_ccr_comment = {key: "pgm228_ccr_comment", tr:[{order: 1}, {label: langs.getText("p163","comment")}, {label: ""}, {name:"CCR_COMMENT_STR", value:"", textfield:[{max: 20, size: 23}], message: "", enable_mullang: 1, cont: 0}, {label: "Max 20 bytes"}]};

} else {
	var pgm228_ccr_comment= {};
}

define(
    {elements:[
        {name:"tab1", tab: [
            {key: "pgm228_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
            {key: "pgm228_preload", preload: [{name: "RANGE_TYPE_1", range_type: 2}, {text: langs.getText("common","enter_index")+range_guide+" : "}, {name: "RANGE_1_0", value: "", textfield: [{size: 5, max: 4}], message: ""}, {btn: langs.getText("common","load"), btn_type: "btn_load"}, langs.Range_Error_Table(), {endload: 1}, {br: 2}, {text: langs.getText("p228","ccr_index")+" "}, {name: "RANGE_VIEW_1", value: "", text: 1}]},
            {key: "pgm228_mktbl", table: [{label: langs.getText("common","order"), sort: "num"}, {label: langs.getText("common","attr")}, {label: langs.getText("common","type")}, {label: langs.getText("common","val")},{label: "VMID"}]},
            {key: "pgm228_ccr_1_dest", tr:[{order: 1}, {label: "1 "+langs.getText("common","dest")}, {name:"CCR_1_TYPE", value:"", select:v_1, message: "", cont: 0},
														 {name:"CCR_1_VALUE", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 0},
														 {label: langs.getText("common","simple_sta")+" : "}, {name:"CCR_1_VMID", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 1}]},
            {key: "pgm228_ccr_2_dest", tr:[{order: 1}, {label: "2 "+langs.getText("common","dest")}, {name:"CCR_2_TYPE", value:"", select:v_1, message: "", cont: 0},
														 {name:"CCR_2_VALUE", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 0},
														 {label: langs.getText("common","simple_sta")+" : "}, {name:"CCR_2_VMID", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 1}]},
            {key: "pgm228_ccr_3_dest", tr:[{order: 1}, {label: "3 "+langs.getText("common","dest")}, {name:"CCR_3_TYPE", value:"", select:v_1, message: "", cont: 0},
														 {name:"CCR_3_VALUE", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 0},
														 {label: langs.getText("common","simple_sta")+" : "}, {name:"CCR_3_VMID", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 1}]},
            {key: "pgm228_ccr_4_dest", tr:[{order: 1}, {label: "4 "+langs.getText("common","dest")}, {name:"CCR_4_TYPE", value:"", select:v_1, message: "", cont: 0},
														 {name:"CCR_4_VALUE", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 0},
													 	 {label: langs.getText("common","simple_sta")+" : "}, {name:"CCR_4_VMID", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 1}]},
            {key: "pgm228_ccr_5_dest", tr:[{order: 1}, {label: "5 "+langs.getText("common","dest")}, {name:"CCR_5_TYPE", value:"", select:v_1, message: "", cont: 0},
														 {name:"CCR_5_VALUE", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 0},
														 {label: langs.getText("common","simple_sta")+" : "}, {name:"CCR_5_VMID", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 1}]},
            {key: "pgm228_ccr_6_dest", tr:[{order: 1}, {label: "6 "+langs.getText("common","dest")}, {name:"CCR_6_TYPE", value:"", select:v_1, message: "", cont: 0},
														 {name:"CCR_6_VALUE", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 0},
													 	 {label: langs.getText("common","simple_sta")+" : "}, {name:"CCR_6_VMID", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 1}]},
            {key: "pgm228_ccr_7_dest", tr:[{order: 1}, {label: "7 "+langs.getText("common","dest")}, {name:"CCR_7_TYPE", value:"", select:v_1, message: "", cont: 0},
														 {name:"CCR_7_VALUE", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 0},
														 {label: langs.getText("common","simple_sta")+" : "}, {name:"CCR_7_VMID", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 1}]},
            {key: "pgm228_ccr_8_dest", tr:[{order: 1}, {label: "8 "+langs.getText("common","dest")}, {name:"CCR_8_TYPE", value:"", select:v_1, message: "", cont: 0},
														 {name:"CCR_8_VALUE", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 0},
														 {label: langs.getText("common","simple_sta")+" : "}, {name:"CCR_8_VMID", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 1}]},
            {key: "pgm228_ccr_9_dest", tr:[{order: 1}, {label: "9 "+langs.getText("common","dest")}, {name:"CCR_9_TYPE", value:"", select:v_1, message: "", cont: 0},
														 {name:"CCR_9_VALUE", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 0},
														 {label: langs.getText("common","simple_sta")+" : "}, {name:"CCR_9_VMID", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 1}]},
            {key: "pgm228_ccr_0_dest", tr:[{order: 1}, {label: "0 "+langs.getText("common","dest")}, {name:"CCR_10_TYPE", value:"", select:v_1, message: "", cont: 0},
														 {name:"CCR_10_VALUE", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 0},
														 {label: langs.getText("common","simple_sta")+" : "}, {name:"CCR_10_VMID", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 1}]},
            {key: "pgm228_ccr_busy", tr:[{order: 1}, {label: langs.getText("common","busy_dest")}, {name:"CCR_BUSY_TYPE", value:"", select:ext_opt, message: "", cont: 0},
																																 {name:"CCR_BUSY_VALUE", value: "", textfield:[{max: 7, size: 10}], message: "", cont: 0},
																																 {label: langs.getText("common","simple_sta")+" : "}, {name:"CCR_BUSY_VMID", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 1}]},
            {key: "pgm228_ccr_err", tr:[{order: 1}, {label: langs.getText("common","err_dest")}, {name:"CCR_ERR_TYPE", value:"", select:ext_opt, message: "", cont: 0},
																																	{name:"CCR_ERR_VALUE", value: "", textfield:[{max: 7, size: 10}], message: "", cont: 0},
																																 {label: langs.getText("common","simple_sta")+" : "}, {name:"CCR_ERR_VMID", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 1}]},
            {key: "pgm228_ccr_noans", tr:[{order: 1}, {label: langs.getText("p228","ccr_noans")}, {name:"CCR_NOANS_TYPE", value:"", select:ext_opt, message: "", cont: 0},
																																	{name:"CCR_NOANS_VALUE", value: "", textfield:[{max: 7, size: 10}], message: "", cont: 0},
																																 {label: langs.getText("common","simple_sta")+" : "}, {name:"CCR_NOANS_VMID", value: "", textfield:[{max: 8, size: 10}], message: "", cont: 1}]},
            {key: "pgm228_ccr_one_digit", tr:[{order: 1}, {label: langs.getText("p228","ccr_one_digit")}, {name:"CCR_ONE_DIGIT", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}, {label: ""}]},
            {key: "pgm228_ccr_temp_anncuse", tr:[{order: 1}, {label: langs.getText("p228","ccr_temp_anncuse")}, {name:"CCR_TEMP_ANNCUSE", value:"", select:[{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}, {label: ""}]},
			{key: "pgm228_ccr_temp_anncno", tr:[{order: 1}, {label: langs.getText("p228","ccr_temp_anncno")+v_vsf_0}, {label: ""}, {name:"CCR_TEMP_ANNCNO", value: "", textfield:[{max: 7, size: 10}], message: "", cont: 0}, {label: ""}]},
			pgm228_ccr_star_button,
			pgm228_ccr_sharp_button,
			pgm228_ccr_comment
		]}
    ]}
);
