var range_guide = " (1 - 32)";

if (info.SYSTEM_ID == "iPECS eMG80" || info.SYSTEM_ID == "iPECS eMG800") {
	var v_1 = {value: "1", option: langs.getText("common","internal_music")};
	var v_2 = {value: "2", option: langs.getText("common","extmusic")};
} else {
	var v_1 = {value: "1", option: langs.getText("common","intext_music")+"1"};
	var v_2 = {value: "2", option: langs.getText("common","extmusic")+"2"};
}
if (info.SYSTEM_ID == "iPECS eMG80" || info.SYSTEM_ID == "iPECS eMG100")
{
	var vmid1 = {label: "", cont: 1};
	var vmid2 = {label: "", cont: 1};
}
else
{
	var vmid1 = {label: " 3: ", cont: 1};
	var vmid2 = {name:"ZONE_VMIDNO_3", value: "", textfield: [{max:info.NO_OF_SLOTS.length,size:info.NO_OF_SLOTS.length}], message: "", cont: 1};
}
if(info.PHASE >= 2) {
	var v_3 = {key: "pgm439_zone_dstuse", title: langs.getText("p439","zone_dstuse"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("p439","zone_dstuse")}, {name:"ZONE_DSTOFF", value: "", select: [{value: "0", option: langs.getText("p439","zone_sysdstmode")}, {value: "1", option: langs.getText("common","opt_off")}], message: "", cont: 0}, {label: ""}]};
} else {
	var v_3 = {};
}

if(info.PHASE >= 4.1) {
 	var p439_zone_zonemoh = {key: "pgm439_zone_zonemoh", title: langs.getText("p439","zone_zonemoh"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p439","zone_zonemoh")}, {name:"ZONE_ZONEMOH", value:"", select:[{value: "0", option: langs.getText("common","refer_syshold")}, v_1, v_2, {value: "3", option: langs.getText("common","vsf_moh")}, {value: "4", option: langs.getText("common","slt_moh")+"1"}, {value: "5", option: langs.getText("common","slt_moh")+"2"}, {value: "6", option: langs.getText("common","slt_moh")+"3"}, {value: "7", option: langs.getText("common","slt_moh")+"4"}, {value: "8", option: langs.getText("common","slt_moh")+"5"}, {value: "9", option: langs.getText("common","vsf_moh")+"2"}, {value: "10", option: langs.getText("common","vsf_moh")+"3"}, {value: "11", option: langs.getText("common","vsf_moh")+"4"}, {value: "12", option: langs.getText("common","vsf_moh")+"5"}, {value: "13", option: langs.getText("common","vsf_moh")+"6"}, {value: "14", option: langs.getText("common","vsf_moh")+"7"}, {value: "15", option: langs.getText("common","vsf_moh")+"8"}, {value: "16", option: langs.getText("common","vsf_moh")+"9"}, {value: "17", option: langs.getText("common","vsf_moh")+"10"}, {value: "18", option: langs.getText("common","vsf_moh")+"11"}, {value: "19", option: langs.getText("common","vsf_moh")+"12"}, {value: "20", option: langs.getText("common","vsf_moh")+"13"}, {value: "21", option: langs.getText("common","vsf_moh")+"14"}, {value: "22", option: langs.getText("common","vsf_moh")+"15"}, {value: "23", option: langs.getText("common","vsf_moh")+"16"}, {value: "24", option: langs.getText("common","vsf_moh")+"17"}, {value: "25", option: langs.getText("common","vsf_moh")+"18"}, {value: "26", option: langs.getText("common","vsf_moh")+"19"}, {value: "27", option: langs.getText("common","vsf_moh")+"20"}, {value: "28", option: langs.getText("common","vsf_moh")+"21"}, {value: "29", option: langs.getText("common","vsf_moh")+"22"}, {value: "30", option: langs.getText("common","vsf_moh")+"23"}, {value: "31", option: langs.getText("common","vsf_moh")+"24"}, {value: "32", option: langs.getText("common","vsf_moh")+"25"}, {value: "33", option: langs.getText("common","vsf_moh")+"26"}, {value: "34", option: langs.getText("common","vsf_moh")+"27"}, {value: "35", option: langs.getText("common","vsf_moh")+"28"}, {value: "36", option: langs.getText("common","vsf_moh")+"29"}, {value: "37", option: langs.getText("common","vsf_moh")+"30"}], message: "", cont: 0}, {label: ""}]};
} else {
        var p439_zone_zonemoh = {key: "pgm439_zone_zonemoh", title: langs.getText("p439","zone_zonemoh"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p439","zone_zonemoh")}, {name:"ZONE_ZONEMOH", value:"", select:[{value: "0", option: langs.getText("common","refer_syshold")}, v_1, v_2, {value: "3", option: langs.getText("common","vsf_moh")}, {value: "4", option: langs.getText("common","slt_moh")+"1"}, {value: "5", option: langs.getText("common","slt_moh")+"2"}, {value: "6", option: langs.getText("common","slt_moh")+"3"}, {value: "7", option: langs.getText("common","slt_moh")+"4"}, {value: "8", option: langs.getText("common","slt_moh")+"5"}, {value: "9", option: langs.getText("common","vsf_moh")+"2"}, {value: "10", option: langs.getText("common","vsf_moh")+"3"}], message: "", cont: 0},{label:""}]};
}

define(
    {elements:[
        {name:"tab1", tab: [
            {key: "pgm439_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
            {key: "pgm439_preload", preload: [{name: "RANGE_TYPE_1", range_type: 2}, {text: langs.getText("common","enter_zonerange")+range_guide+" : "}, {name: "RANGE_1_1", value: "", textfield: [{max: 40, size: 50}], message: "", help: langs.re_toolTip()}, {btn: langs.getText("common","load"), btn_type: "btn_load"}, langs.Range_Error_Table(), {endload: 1}, {br: 2}, {text: langs.getText("common","zone_range")+" "}, {name: "RANGE_VIEW_1", value: "", text: 1}]},
            {key: "pgm439_mktbl", title: langs.getText("common","mktbl"), table: [{name: "CHKFLAG", value: "", check_flag: 1}, {label: langs.getText("common","order"), sort: "num"}, {btn: langs.getText("common","btn_chkall"), btn_type: "btn_checkall"}, {label: langs.getText("common","attr")}, {label: langs.getText("common","val")},{label: langs.getText("common","range")}]},
            {key: "pgm439_zone_natcode", title: langs.getText("common","nation_code"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("common","nation_code")}, {name:"ZONE_NATCODE", value:"", select:g_nation_list, message: "", cont: 0}, {label: ""}]},
            {key: "pgm439_title_e164mi", title: langs.getText("p439","title_e164mi"), th:[{label: langs.getText("p439","title_e164mi"), colspan: 5}]},
            {key: "pgm439_zone_zarcode", title: langs.getText("p439","zone_zarcode"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("p439","zone_zarcode")}, {name:"ZONE_ZARCODE", value: "", textfield: [{max:5}], message: "", cont: 0}, {label: langs.getText("common","max5digit")}]},
            {key: "pgm439_zone_zincode", title: langs.getText("common","inter_acc_code"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("common","inter_acc_code")}, {name:"ZONE_ZINCODE", value: "", textfield: [{max:5}], message: "", cont: 0}, {label: langs.getText("common","max5digit")}]},
            {key: "pgm439_zone_lcthcnt", title: langs.getText("p439","zone_lcthcnt"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("p439","zone_lcthcnt")}, {name:"ZONE_LCTHCNT", value: "", textfield: [{max:2}], message: "", cont: 0}, {label: langs.getText("p439","cmt_lcthcnt")}]},
            {key: "pgm439_zone_lzero", title: langs.getText("p439","zone_lzero"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("p439","zone_lzero")}, {name:"ZONE_LZERO", value: "", select: [{value: "0", option: langs.getText("common","opt_no")}, {value: "1", option: langs.getText("common","opt_yes")}], message: "", cont: 0}, {label: langs.getText("p439","cmt_lzero")}]},
            {key: "pgm439_zone_eirule", title: langs.getText("p439","zone_eirule"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("p439","zone_eirule")}, {name:"ZONE_EIRULE", value: "", select: [{value: "0", option: langs.getText("common","opt_no")}, {value: "1", option: langs.getText("common","opt_yes")}], message: "", cont: 0}, {label: langs.getText("p439","cmt_eirule")}]},
            {key: "pgm439_title_e164spn", title: langs.getText("p439","title_e164spn"), th:[{label: langs.getText("p439","title_e164spn"), colspan: 5}]},
            {key: "pgm439_zone_e164spnmone", title: langs.getText("common","e164spn")+" #1", tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("common","e164spn")+" #1"}, {label: " : ", cont: 1}, {label: langs.getText("common","e164from4")+" ", cont: 1}, {name:"ZONE_E164SPNM_1", value: "", textfield: [{max:4}], message: "", cont: 1}, {label: " > "+langs.getText("common","e164to")+" "}, {name:"ZONE_E164SPND_1", value: "", textfield: [{max:6}], message: "", cont: 1}, {label: ""}]},
            {key: "pgm439_zone_e164spnmtwo", title: langs.getText("common","e164spn")+" #2", tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("common","e164spn")+" #2"}, {label: " : ", cont: 1}, {label: langs.getText("common","e164from4")+" ", cont: 1}, {name:"ZONE_E164SPNM_2", value: "", textfield: [{max:4}], message: "", cont: 1}, {label: " > "+langs.getText("common","e164to")+" "}, {name:"ZONE_E164SPND_2", value: "", textfield: [{max:6}], message: "", cont: 1}, {label: ""}]},
            {key: "pgm439_zone_e164spnmthree", title: langs.getText("common","e164spn")+" #3", tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("common","e164spn")+" #3"}, {label: " : ", cont: 1}, {label: langs.getText("common","e164from4")+" ", cont: 1}, {name:"ZONE_E164SPNM_3", value: "", textfield: [{max:4}], message: "", cont: 1}, {label: " > "+langs.getText("common","e164to")+" "}, {name:"ZONE_E164SPND_3", value: "", textfield: [{max:6}], message: "", cont: 1}, {label: ""}]},
            {key: "pgm439_zone_e164spnmfour", title: langs.getText("common","e164spn")+" #4", tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("common","e164spn")+" #4"}, {label: " : ", cont: 1}, {label: langs.getText("common","e164from4")+" ", cont: 1}, {name:"ZONE_E164SPNM_4", value: "", textfield: [{max:4}], message: "", cont: 1}, {label: " > "+langs.getText("common","e164to")+" "}, {name:"ZONE_E164SPND_4", value: "", textfield: [{max:6}], message: "", cont: 1}, {label: ""}]},
            {key: "pgm439_zone_e164spnmfive", title: langs.getText("common","e164spn")+" #5", tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("common","e164spn")+" #5"}, {label: " : ", cont: 1}, {label: langs.getText("common","e164from4")+" ", cont: 1}, {name:"ZONE_E164SPNM_5", value: "", textfield: [{max:4}], message: "", cont: 1}, {label: " > "+langs.getText("common","e164to")+" "}, {name:"ZONE_E164SPND_5", value: "", textfield: [{max:6}], message: "", cont: 1}, {label: ""}]},
            {key: "pgm439_title_ie164spn", title: langs.getText("p439","title_ie164spn"), th:[{label: langs.getText("p439","title_ie164spn"), colspan: 5}]},
            {key: "pgm439_zone_ie164spnmone", title: langs.getText("common","e164spn")+" #1", tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("common","e164spn")+" #1"}, {label: " : ", cont: 1}, {label: langs.getText("common","e164from6")+" ", cont: 1}, {name:"ZONE_IE164SPNM_1", value: "", textfield: [{max:6}], message: "", cont: 1}, {label: " > "+langs.getText("common","e164to")+" "}, {name:"ZONE_IE164SPND_1", value: "", textfield: [{max:6}], message: "", cont: 1}, {label: ""}]},
            {key: "pgm439_zone_ie164spnmtwo", title: langs.getText("common","e164spn")+" #2", tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("common","e164spn")+" #2"}, {label: " : ", cont: 1}, {label: langs.getText("common","e164from6")+" ", cont: 1}, {name:"ZONE_IE164SPNM_2", value: "", textfield: [{max:6}], message: "", cont: 1}, {label: " > "+langs.getText("common","e164to")+" "}, {name:"ZONE_IE164SPND_2", value: "", textfield: [{max:6}], message: "", cont: 1}, {label: ""}]},
            {key: "pgm439_zone_ie164spnmthree", title: langs.getText("common","e164spn")+" #3", tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("common","e164spn")+" #3"}, {label: " : ", cont: 1}, {label: langs.getText("common","e164from6")+" ", cont: 1}, {name:"ZONE_IE164SPNM_3", value: "", textfield: [{max:6}], message: "", cont: 1}, {label: " > "+langs.getText("common","e164to")+" "}, {name:"ZONE_IE164SPND_3", value: "", textfield: [{max:6}], message: "", cont: 1}, {label: ""}]},
            {key: "pgm439_zone_ie164spnmfour", title: langs.getText("common","e164spn")+" #4", tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("common","e164spn")+" #4"}, {label: " : ", cont: 1}, {label: langs.getText("common","e164from6")+" ", cont: 1}, {name:"ZONE_IE164SPNM_4", value: "", textfield: [{max:6}], message: "", cont: 1}, {label: " > "+langs.getText("common","e164to")+" "}, {name:"ZONE_IE164SPND_4", value: "", textfield: [{max:6}], message: "", cont: 1}, {label: ""}]},
            {key: "pgm439_title_nzmi", title: langs.getText("p439","title_nzmi"), th:[{label: langs.getText("p439","title_nzmi"), colspan: 5}]},
            {key: "pgm439_zone_lancode", title: langs.getText("common","lancode"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","lancode")}, {name:"ZONE_LANCODE", value:"", select:g_lang_list, message: "", cont: 0},{label:""}]},
           {key: "pgm439_zone_codec", title: langs.getText("common","codectype"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","codectype")}, {name:"ZONE_CODEC", value:"", select:[{value: "0", option: langs.getText("common","syscodec")},
													                                                                                                                                           {value: "1", option: "G.711"},
													                                                                                                                                           {value: "2", option: "G.723.1"},
													                                                                                                                                           {value: "3", option: "G.729"},
													                                                                                                                                           {value: "4", option: "G.722"}], message: "", cont: 0},{label:""}]},
           {key: "pgm439_zone_rtprly", title: langs.getText("common","rtp_rlyrule"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","rtp_rlyrule")}, {name:"ZONE_RTPRLY", value:"", select:[{value: "0", option: langs.getText("common","if_need")}, {value: "1", option: langs.getText("common","rly_grp")}, {value: "2", option: langs.getText("p439","opt_zone_rtprly_ftr")}], message: "", cont: 0},{label:""}]},
           {key: "pgm439_zone_1rtpdev", title: langs.getText("p439","zone_1rtpdev"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p439","zone_1rtpdev")}, {name:"ZONE_1RTPDEV", value: "", textfield: [{max:info.NO_OF_SLOTS.length}], message: "", cont: 0}, {label: "H323 G/W "+langs.getText("common","seq_num")}]},
           {key: "pgm439_zone_2rtpdev", title: langs.getText("p439","zone_2rtpdev"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p439","zone_2rtpdev")}, {name:"ZONE_2RTPDEV", value: "", textfield: [{max:info.NO_OF_SLOTS.length}], message: "", cont: 0}, {label: "H323 G/W "+langs.getText("common","seq_num")}]},
           {key: "pgm439_zone_vmidno", title: langs.getText("common","vm_gw_number"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","vm_gw_number")}, {label: "1: ", cont: 0}, {name:"ZONE_VMIDNO_1", value: "", textfield: [{max:info.NO_OF_SLOTS.length,size:info.NO_OF_SLOTS.length}], message: "", cont: 1}, {label: " 2: ", cont: 1}, {name:"ZONE_VMIDNO_2", value: "", textfield: [{max:info.NO_OF_SLOTS.length,size:info.NO_OF_SLOTS.length}], message: "", cont: 1}, vmid1,vmid2,{name: "VMGWNUM", value: "", label: 1}]},
           {key: "pgm439_zone_remark", title: langs.getText("common","remark"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("common","remark")}, {name:"ZONE_REMARK", value: "", textfield: [{max:21}], message: "", cont: 0,enable_mullang:1}, {label: langs.getText("common","max21ch")}]},
           {key: "pgm439_zone_timezone", title: langs.getText("p439","zone_timezone"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p439","zone_timezone")}, {name:"ZONE_TIMEZONE", value:"", select:[{value: "0", option:"(GMT-12:00)International Date Line West"},
													                                                                                                                                                       {value: "1", option: "(GMT-11:00)Midway Island, Samoa"},
													                                                                                                                                                       {value: "2", option: "(GMT-10:00)Hawaii"},
													                                                                                                                                                       {value: "3", option: "(GMT-09:00)Alaska"},
													                                                                                                                                                       {value: "4", option: "(GMT-08:00)Pacific Time(US&Canada); Tijuana"},
													                                                                                                                                                       {value: "5", option: "(GMT-07:00)Arizona"},
													                                                                                                                                                       {value: "6", option: "(GMT-07:00)Chihuahua, La Paz, Mazatlan"},
													                                                                                                                                                       {value: "7", option: "(GMT-07:00)Mountain Time(US&Canada)"},
													                                                                                                                                                       {value: "8", option: "(GMT-06:00)Central America"},
													                                                                                                                                                       {value: "9", option: "(GMT-06:00)Guadalajara, Mexico City, Monterrey"},
													                                                                                                                                                       {value: "10", option: "(GMT-06:00)Saskatchewan"},
													                                                                                                                                                       {value: "11", option: "(GMT-05:00)Bogota, Lima, Quito"},
													                                                                                                                                                       {value: "12", option: "(GMT-05:00)Eastern Time(US&Canada)"},
													                                                                                                                                                       {value: "13", option: "(GMT-05:00)Indiana(East)"},
													                                                                                                                                                       {value: "14", option: "(GMT-04:00)Atlantic Time(Canada)"},
													                                                                                                                                                       {value: "15", option: "(GMT-04:00)Caracas, La Paz"},
													                                                                                                                                                       {value: "16", option: "(GMT-04:00)Santiago"},
													                                                                                                                                                       {value: "17", option: "(GMT-03:30)Newfoundland"},
													                                                                                                                                                       {value: "18", option: "(GMT-03:00)Brasilia"},
													                                                                                                                                                       {value: "19", option: "(GMT-03:00)Buenos Aires, Georgetown"},
													                                                                                                                                                       {value: "20", option: "(GMT-03:00)Greenland"},
													                                                                                                                                                       {value: "21", option: "(GMT-02:00)Mid-Atlantic"},
													                                                                                                                                                       {value: "22", option: "(GMT-01:00)Azores"},
													                                                                                                                                                       {value: "23", option: "(GMT-01:00)Cape Verde Is."},
													                                                                                                                                                       {value: "24", option: "(GMT)Casablanca, Monrovia"},
													                                                                                                                                                       {value: "25", option: "(GMT)Greenwich Mean Time : Dublin, Edinburgh, Lisbon, London"},
													                                                                                                                                                       {value: "26", option: "(GMT+01:00)Amsterdam, Berlin, Bern, Rome, Stockholm, Vienna"},
													                                                                                                                                                       {value: "27", option: "(GMT+01:00)Belgrade, Bratislava, Budapest, Ljubljana, Prague"},
													                                                                                                                                                       {value: "28", option: "(GMT+01:00)Brussels, Copenhagen, Madrid, Paris"},
													                                                                                                                                                       {value: "29", option: "(GMT+01:00)Sarajevo, Skopje, Warsaw, Zagreb"},
													                                                                                                                                                       {value: "30", option: "(GMT+01:00)West Central Africa"},
													                                                                                                                                                       {value: "31", option: "(GMT+02:00)Athens, Beirut, Istanbul, Minsk"},
													                                                                                                                                                       {value: "32", option: "(GMT+02:00)Bucharest"},
													                                                                                                                                                       {value: "33", option: "(GMT+02:00)Cairo"},
													                                                                                                                                                       {value: "34", option: "(GMT+02:00)Harare, Pretoria"},
													                                                                                                                                                       {value: "35", option: "(GMT+02:00)Helsinki, Kyiv, Riga, Sofia, Tallinn, Vilnius"},
													                                                                                                                                                       {value: "36", option: "(GMT+02:00)Jerusalem"},
													                                                                                                                                                       {value: "37", option: "(GMT+03:00)Baghdad"},
													                                                                                                                                                       {value: "38", option: "(GMT+03:00)Kuwait, Riyadh"},
													                                                                                                                                                       {value: "39", option: "(GMT+03:00)Moscow, St.Petersburg, Volgograd"},
													                                                                                                                                                       {value: "40", option: "(GMT+03:00)Nairobi"},
													                                                                                                                                                       {value: "41", option: "(GMT+03:30)Tehran"},
													                                                                                                                                                       {value: "42", option: "(GMT+04:00)Abu Dhabi, Muscat"},
													                                                                                                                                                       {value: "43", option: "(GMT+04:00)Baku, Tbilisi, Yerevan"},
													                                                                                                                                                       {value: "44", option: "(GMT+04:30)Kabul"},
													                                                                                                                                                       {value: "45", option: "(GMT+05:00)Islamabad, Karachi, Tashkent"},
													                                                                                                                                                       {value: "46", option: "(GMT+05:30)Chennai, Kolkata, Mumbai, New Delhi"},
													                                                                                                                                                       {value: "47", option: "(GMT+05:45)Kathmandu"},
													                                                                                                                                                       {value: "48", option: "(GMT+06:00)Almaty, Novosibirsk"},
													                                                                                                                                                       {value: "49", option: "(GMT+06:00)Astana, Dhaka"},
													                                                                                                                                                       {value: "50", option: "(GMT+06:00)Sri Jayawardenepura"},
													                                                                                                                                                       {value: "51", option: "(GMT+06:30)Rangoon"},
													                                                                                                                                                       {value: "52", option: "(GMT+07:00)Bangkok, Hanoi, Jakarta"},
													                                                                                                                                                       {value: "53", option: "(GMT+07:00)Kransnoyarsk"},
													                                                                                                                                                       {value: "54", option: "(GMT+08:00)Beijing, Chongqing, Hong Kong, Urumqi"},
													                                                                                                                                                       {value: "55", option: "(GMT+08:00)Irkutsk, Ulaan Bataar"},
													                                                                                                                                                       {value: "56", option: "(GMT+08:00)Kuala Lumpur Singapore"},
													                                                                                                                                                       {value: "57", option: "(GMT+08:00)Perth"},
													                                                                                                                                                       {value: "58", option: "(GMT+08:00)Taipei"},
													                                                                                                                                                       {value: "59", option: "(GMT+09:00)Osaka, Sapporo, Tokyo"},
													                                                                                                                                                       {value: "60", option: "(GMT+09:00)Seoul"},
													                                                                                                                                                       {value: "61", option: "(GMT+09:00)Yakutsk"},
													                                                                                                                                                       {value: "62", option: "(GMT+09:30)Adelaide"},
													                                                                                                                                                       {value: "63", option: "(GMT+09:30)Darwin"},
													                                                                                                                                                       {value: "64", option: "(GMT+10:00)Brisbane"},
													                                                                                                                                                       {value: "65", option: "(GMT+10:00)Canberra, Melbourne, Sydney"},
													                                                                                                                                                       {value: "66", option: "(GMT+10:00)Guam, Port Moresby"},
													                                                                                                                                                       {value: "67", option: "(GMT+10:00)Hobart"},
													                                                                                                                                                       {value: "68", option: "(GMT+10:00)Vladivostok"},
													                                                                                                                                                       {value: "69", option: "(GMT+11:00)Magadan, Solomon Is., New Caledonia"},
													                                                                                                                                                       {value: "70", option: "(GMT+12:00)Auckland, Wellington"},
													                                                                                                                                                       {value: "71", option: "(GMT+12:00)Fiji, Kamchatka, Marshall Is."},
													                                                                                                                                                       {value: "72", option: "(GMT+13:00)Nuku'alofa"},
													                                                                                                                                                       {value: "73", option: langs.getText("p439","opt_zone_timezone_systime")}], colspan: 2, message: "", cont: 0}]},
		   {key: "pgm439_zone_maxconns", title: langs.getText("p439","zone_maxconns"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("p439","zone_maxconns")}, {name:"ZONE_MAXCONNS", value: "", textfield: [{max:4}], message: "", cont: 0}, {label: "0-"+info.NO_OF_STNS+" (0:"+langs.getText("common","no_limit")+")"}]},
		   {key: "pgm439_zone_maxoutco", title: langs.getText("p439","zone_maxoutco"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("p439","zone_maxoutco")}, {name:"ZONE_MAXOUTCO", value: "", textfield: [{max:4}], message: "", cont: 0}, {label: "0-"+info.NO_OF_COLS+" (0:"+langs.getText("common","no_limit")+")"}]},
	    p439_zone_zonemoh,
            {key: "pgm439_zone_e911as", title: langs.getText("p439","zone_e911as"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("p439","zone_e911as")}, {name:"ZONE_E911AS", value: "", textfield: [{max:8}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm439_zone_e911as2", title: langs.getText("p439","zone_e911as2"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("p439","zone_e911as2")}, {name:"ZONE_E911AS2", value: "", textfield: [{max:8}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm439_zone_dcobas", title: langs.getText("p439","zone_dcobas"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("p439","zone_dcobas")}, {name:"ZONE_DCOBAS", value: "", textfield: [{max:8}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm439_zone_sipas", title: langs.getText("p439","zone_sipas"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1},{label: langs.getText("p439","zone_sipas")}, {name:"ZONE_SIPAS", value: "", textfield: [{max:8}], message: "", cont: 0}, {label: ""}]},
		      v_3
		]}
    ]}
);
