if (!offline_mode) {
	var v_1 = {key: "pgm470_mktblserver", table: [{label: langs.getText("p191","servertype")}, {label: langs.getText("common","connection")}, {label: langs.getText("common","statistics")}]};	
	var v_2 = {key: "pgm470_android", tr: [{name:"SERVER_TYPE_1", value:"", label: 1}, {name:"SERVER_CON_1", value:"", label: 1}, {name:"SERVER_STAT_1", value:"", label: 1}]};
	var v_3 = {key: "pgm470_ios", tr: [{name:"SERVER_TYPE_2", value:"", label: 1}, {name:"SERVER_CON_2", value:"", label: 1}, {name:"SERVER_STAT_2", value:"", label: 1}]};
	var v_4 = {key: "pgm470_iost", tr: [{name:"SERVER_TYPE_3", value:"", label: 1}, {name:"SERVER_CON_3", value:"", label: 1}, {name:"SERVER_STAT_3", value:"", label: 1}]};
	var v_infomktbl = {key: "pgm470_infomktbl", table: [{label: langs.getText("common","order")}, {label: langs.getText("common","attr")}, {label: langs.getText("common","val")}, {label: langs.getText("common","remark")}]};	
	var v_timeinfo = {key: "pgm470_timeinfo", tr:[{label: "1"}, {label: langs.getText("p178","tdset")}, {name: "CUR_TIME_DATE", value: "", label: 1, cont: 0}, {label: langs.getText("p470","push_info1")}, {br:1, cont:1}, {label: langs.getText("p470","push_info2"), cont: 1}, {br:1, cont:1}, {label: langs.getText("p470","push_info3"), cont: 1}]};
	var v_dns = {key: "pgm470_dns", tr:[{label: "2"}, {label: langs.getText("p102","dnsaddr")}, {name: "PUSHS_DNSADDR", value: "", textfield: [{max: 2, size: 4}], message: "", label: 1, cont: 0}, {label: langs.getText("p470","push_dns")}]};
	var v_callid = {key: "pgm470_callid", tr:[{label: "3"}, {label: langs.getText("p160","sys_calltracking")}, {name: "PUSHS_CALLID", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", show: 0, cont: 0}, {label: langs.getText("p470","push_callid")}]};
} else {
	var v_1 = {};	
	var v_2 = {};
	var v_3 = {};
	var v_4 = {};
	var v_infomktbl = {};	
	var v_timeinfo = {};
	var v_dns = {};
	var v_callid = {};
}


define(
    {elements:[
        {name:"tab1", tab: [
  			{key: "pgm470_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
			v_infomktbl,
			v_timeinfo,
			v_dns,
			v_callid,
			{key: "pgm470_mainmktbl", table: [{label: langs.getText("common","order")}, {label: langs.getText("common","attr")}, {label: langs.getText("common","val")}, {label: langs.getText("common","remark")}]},
            {key: "pgm470_pushuse", tr:[{label: "1"}, {label: langs.getText("p470","pushs_pushuse")}, {name: "PUSHS_PUSHUSE", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: langs.getText("p470","pushs_comment1")}, {br:1, cont:1}, {label: langs.getText("p470","pushs_comment2"), cont: 1}, {br:1, cont:1}, {label: langs.getText("p470","pushs_comment3"), cont: 1}]},
            {key: "pgm470_ringtmr", tr:[{label: "2"}, {label: langs.getText("p470","pushs_ringtmr")}, {name: "PUSHS_RINGTMR", value: "", textfield: [{max: 2, size: 4}], message: "", cont: 0}, {label: "6-30(sec)"}]},
				v_1,
				v_2,
				v_3,
				v_4,
            {key: "pgm470_mktbl", table:[{label: langs.getText("common","index"), sort: "num"}, {label: langs.getText("p446","ucsclient_stanum"), sort: "stanum"}, {label: langs.getText("p446","ucsclient_masternum"), sort: "stanum"}, {label: langs.getText("p470","ucspush_usage"), sort: "str"}, {label: langs.getText("common","remark")}], 
			  data_form:[{key: "", tr: [{name:"PUSHS_IDX", value:"", label: 1}, 
										{name:"PUSHS_NUM", value:"", label: 1}, 
										{name:"PUSHS_MNUM", value:"", label: 1},
										{name:"PUSHS_USAGE", value:"", label: 1},
										{name:"PUSHS_REMARK", value:"", label: 1}]}],
                          variable_data:[{}]}
        ]}
    ]}
);
